# Copyright 2014 by trgk.
# All rights reserved.
# This file is part of EUD python library (eudplib),
# and is released under "MIT License Agreement". Please see the LICENSE
# file that should have been included as part of this package.

from .action import Action
from .condition import Condition
from .constenc import (  # encoders
    Add,
    All,
    AlliedVictory,
    Ally,
    AtLeast,
    AtMost,
    Attack,
    Buildings,
    Clear,
    Cleared,
    Custom,
    Disable,
    Enable,
    EncodeAllyStatus,
    EncodeComparison,
    EncodeCount,
    EncodeModifier,
    EncodeOrder,
    EncodePlayer,
    EncodeProperty,
    EncodePropState,
    EncodeResource,
    EncodeScore,
    EncodeSwitchAction,
    EncodeSwitchState,
    Enemy,
    Exactly,
    Gas,
    Kills,
    KillsAndRazings,
    Move,
    Ore,
    OreAndGas,
    Patrol,
    Random,
    Razings,
    Set,
    SetTo,
    Subtract,
    Toggle,
    Total,
    TrgAllyStatus,
    TrgComparison,
    TrgCount,
    TrgModifier,
    TrgOrder,
    TrgProperty,
    TrgPropState,
    TrgResource,
    TrgScore,
    TrgSwitchAction,
    TrgSwitchState,
    Units,
    UnitsAndBuildings,
)
from .rawtriggerdef import Disabled, GetTriggerCounter, RawTrigger
from .stockact import (
    CenterView,
    Comment,
    CreateUnit,
    CreateUnitWithProperties,
    Defeat,
    DisplayText,
    Draw,
    GiveUnits,
    KillUnit,
    KillUnitAt,
    LeaderBoardComputerPlayers,
    LeaderBoardControl,
    LeaderBoardControlAt,
    LeaderBoardGoalControl,
    LeaderBoardGoalControlAt,
    LeaderBoardGoalKills,
    LeaderBoardGoalResources,
    LeaderBoardGoalScore,
    LeaderBoardGreed,
    LeaderBoardKills,
    LeaderBoardResources,
    LeaderBoardScore,
    MinimapPing,
    ModifyUnitEnergy,
    ModifyUnitHangarCount,
    ModifyUnitHitPoints,
    ModifyUnitResourceAmount,
    ModifyUnitShields,
    MoveLocation,
    MoveUnit,
    MuteUnitSpeech,
    Order,
    PauseGame,
    PauseTimer,
    PlayWAV,
    PreserveTrigger,
    RemoveUnit,
    RemoveUnitAt,
    RunAIScript,
    RunAIScriptAt,
    SetAllianceStatus,
    SetCountdownTimer,
    SetDeaths,
    SetDeathsX,
    SetDoodadState,
    SetInvincibility,
    SetKills,
    SetMemory,
    SetMemoryEPD,
    SetMemoryX,
    SetMemoryXEPD,
    SetMissionObjectives,
    SetNextPtr,
    SetNextScenario,
    SetResources,
    SetScore,
    SetSwitch,
    TalkingPortrait,
    Transmission,
    UnMuteUnitSpeech,
    UnpauseGame,
    UnpauseTimer,
    Victory,
    Wait,
)
from .stockcond import (
    Accumulate,
    Always,
    Bring,
    Command,
    CommandLeast,
    CommandLeastAt,
    CommandMost,
    CommandMostAt,
    CountdownTimer,
    Deaths,
    DeathsX,
    ElapsedTime,
    HighestScore,
    LeastKills,
    LeastResources,
    LowestScore,
    Memory,
    MemoryEPD,
    MemoryX,
    MemoryXEPD,
    MostKills,
    MostResources,
    Never,
    Opponents,
    Score,
    Switch,
)
from .strenc import (
    EncodeAIScript,
    EncodeButtonSet,
    EncodeFlingy,
    EncodeIcon,
    EncodeImage,
    EncodeIscript,
    EncodeLocation,
    EncodePortrait,
    EncodeSprite,
    EncodeString,
    EncodeSwitch,
    EncodeTBL,
    EncodeTech,
    EncodeUnit,
    EncodeUnitOrder,
    EncodeUpgrade,
    EncodeWeapon,
    Icon,
    Iscript,
    Portrait,
    StatText,
    TrgAIScript,
    TrgLocation,
    TrgString,
    TrgSwitch,
)
from .triggerscope import (
    NextTrigger,
    PopTriggerScope,
    PushTriggerScope,
    SetNextTrigger,
)

__all__ = [
    "Action",
    "Condition",
    "Add",
    "All",
    "AlliedVictory",
    "Ally",
    "AtLeast",
    "AtMost",
    "Attack",
    "Buildings",
    "Clear",
    "Cleared",
    "Custom",
    "Disable",
    "Enable",
    "EncodeAllyStatus",
    "EncodeComparison",
    "EncodeCount",
    "EncodeModifier",
    "EncodeOrder",
    "EncodePlayer",
    "EncodeProperty",
    "EncodePropState",
    "EncodeResource",
    "EncodeScore",
    "EncodeSwitchAction",
    "EncodeSwitchState",
    "Enemy",
    "Exactly",
    "Gas",
    "Kills",
    "KillsAndRazings",
    "Move",
    "Ore",
    "OreAndGas",
    "Patrol",
    "Random",
    "Razings",
    "Set",
    "SetTo",
    "Subtract",
    "Toggle",
    "Total",
    "TrgAllyStatus",
    "TrgComparison",
    "TrgCount",
    "TrgModifier",
    "TrgOrder",
    "TrgPlayer",
    "TrgProperty",
    "TrgPropState",
    "TrgResource",
    "TrgScore",
    "TrgSwitchAction",
    "TrgSwitchState",
    "Units",
    "UnitsAndBuildings",
    "Disabled",
    "GetTriggerCounter",
    "RawTrigger",
    "CenterView",
    "Comment",
    "CreateUnit",
    "CreateUnitWithProperties",
    "Defeat",
    "DisplayText",
    "Draw",
    "GiveUnits",
    "KillUnit",
    "KillUnitAt",
    "LeaderBoardComputerPlayers",
    "LeaderBoardControl",
    "LeaderBoardControlAt",
    "LeaderBoardGoalControl",
    "LeaderBoardGoalControlAt",
    "LeaderBoardGoalKills",
    "LeaderBoardGoalResources",
    "LeaderBoardGoalScore",
    "LeaderBoardGreed",
    "LeaderBoardKills",
    "LeaderBoardResources",
    "LeaderBoardScore",
    "MinimapPing",
    "ModifyUnitEnergy",
    "ModifyUnitHangarCount",
    "ModifyUnitHitPoints",
    "ModifyUnitResourceAmount",
    "ModifyUnitShields",
    "MoveLocation",
    "MoveUnit",
    "MuteUnitSpeech",
    "Order",
    "PauseGame",
    "PauseTimer",
    "PlayWAV",
    "PreserveTrigger",
    "RemoveUnit",
    "RemoveUnitAt",
    "RunAIScript",
    "RunAIScriptAt",
    "SetAllianceStatus",
    "SetCountdownTimer",
    "SetDeaths",
    "SetDeathsX",
    "SetDoodadState",
    "SetInvincibility",
    "SetKills",
    "SetMemory",
    "SetMemoryEPD",
    "SetMemoryX",
    "SetMemoryXEPD",
    "SetMissionObjectives",
    "SetNextPtr",
    "SetNextScenario",
    "SetResources",
    "SetScore",
    "SetSwitch",
    "TalkingPortrait",
    "Transmission",
    "UnMuteUnitSpeech",
    "UnpauseGame",
    "UnpauseTimer",
    "Victory",
    "Wait",
    "Accumulate",
    "Always",
    "Bring",
    "Command",
    "CommandLeast",
    "CommandLeastAt",
    "CommandMost",
    "CommandMostAt",
    "CountdownTimer",
    "Deaths",
    "DeathsX",
    "ElapsedTime",
    "HighestScore",
    "LeastKills",
    "LeastResources",
    "LowestScore",
    "Memory",
    "MemoryEPD",
    "MemoryX",
    "MemoryXEPD",
    "MostKills",
    "MostResources",
    "Never",
    "Opponents",
    "Score",
    "Switch",
    "EncodeAIScript",
    "EncodeButtonSet",
    "EncodeFlingy",
    "EncodeIcon",
    "EncodeImage",
    "EncodeIscript",
    "EncodeLocation",
    "EncodePortrait",
    "EncodeSprite",
    "EncodeString",
    "EncodeSwitch",
    "EncodeTBL",
    "EncodeTech",
    "EncodeUnit",
    "EncodeUnitOrder",
    "EncodeUpgrade",
    "EncodeWeapon",
    "Icon",
    "Iscript",
    "Portrait",
    "StatText",
    "TrgAIScript",
    "TrgLocation",
    "TrgString",
    "TrgSwitch",
    "NextTrigger",
    "PopTriggerScope",
    "PushTriggerScope",
    "SetNextTrigger",
]
