from typing import Literal, TypeAlias

DefStatTextDict: dict[str, int] = {
    "None": 0,
    # unit names
    "Terran Marine": 1,
    "Terran Ghost": 2,
    "Terran Vulture": 3,
    "Terran Goliath": 4,
    "Goliath Turret": 5,
    "Terran Siege Tank (Tank Mode)": 6,
    "Siege Tank Turret (Tank Mode)": 7,
    "Tank Turret type   1": 7,
    "Terran SCV": 8,
    "Terran Wraith": 9,
    "Terran Science Vessel": 10,
    "Gui Montag": 11,
    "Gui Montag (Firebat)": 11,
    "Terran Dropship": 12,
    "Terran Battlecruiser": 13,
    "Spider Mine": 14,
    "Vulture Spider Mine": 14,
    "Nuclear Missile": 15,
    "Terran Civilian": 16,
    "Sarah Kerrigan": 17,
    "Sarah Kerrigan (Ghost)": 17,
    "Alan Schezar": 18,
    "Alan Schezar (Goliath)": 18,
    "Alan Schezar Turret": 19,
    "Alan Turret": 19,
    "Jim Raynor (Vulture)": 20,
    "Jim Raynor (Marine)": 21,
    "Tom Kazansky": 22,
    "Tom Kazansky (Wraith)": 22,
    "Magellan": 23,
    "Magellan (Science Vessel)": 23,
    "Edmund Duke (Tank Mode)": 24,
    "Edmund Duke Turret (Tank Mode)": 25,
    "Duke Turret type   1": 25,
    "Edmund Duke (Siege Mode)": 26,
    "Edmund Duke Turret (Siege Mode)": 27,
    "Duke Turret type   2": 27,
    "Arcturus Mengsk": 28,
    "Arcturus Mengsk (Battlecruiser)": 28,
    "Hyperion": 29,
    "Hyperion (Battlecruiser)": 29,
    "Norad II (Battlecruiser)": 30,
    "Terran Siege Tank (Siege Mode)": 31,
    "Siege Tank Turret (Siege Mode)": 32,
    "Tank Turret type   2": 32,
    "Terran Firebat": 33,
    "Scanner Sweep (Unit)": 34,
    "Terran Medic": 35,
    "Zerg Larva": 36,
    "Zerg Egg": 37,
    "Zerg Zergling": 38,
    "Zerg Hydralisk": 39,
    "Zerg Ultralisk": 40,
    "Zerg Broodling": 41,
    "Zerg Drone": 42,
    "Zerg Overlord": 43,
    "Zerg Mutalisk": 44,
    "Zerg Guardian": 45,
    "Zerg Queen": 46,
    "Zerg Defiler": 47,
    "Zerg Scourge": 48,
    "Torrasque": 49,
    "Torrasque (Ultralisk)": 49,
    "Matriarch": 50,
    "Matriarch (Queen)": 50,
    "Infested Terran": 51,
    "Infested Kerrigan": 52,
    "Infested Kerrigan (Infested Terran)": 52,
    "Unclean One": 53,
    "Unclean One (Defiler)": 53,
    "Hunter Killer": 54,
    "Hunter Killer (Hydralisk)": 54,
    "Devouring One": 55,
    "Devouring One (Zergling)": 55,
    "Kukulza (Mutalisk)": 56,
    "Kukulza (Guardian)": 57,
    "Yggdrasill": 58,
    "Yggdrasill (Overlord)": 58,
    "Terran Valkyrie": 59,
    "Mutalisk Cocoon": 60,
    "Cocoon": 60,
    "Protoss Corsair": 61,
    "Protoss Dark Templar": 62,
    "Protoss Dark Templar (Unit)": 62,
    "Zerg Devourer": 63,
    "Protoss Dark Archon": 64,
    "Protoss Probe": 65,
    "Protoss Zealot": 66,
    "Protoss Dragoon": 67,
    "Protoss High Templar": 68,
    "Protoss Archon": 69,
    "Protoss Shuttle": 70,
    "Protoss Scout": 71,
    "Protoss Arbiter": 72,
    "Protoss Carrier": 73,
    "Protoss Interceptor": 74,
    "Dark Templar": 75,
    "Dark Templar (Hero)": 75,
    "Protoss Dark Templar (Hero)": 75,
    "Zeratul": 76,
    "Zeratul (Dark Templar)": 76,
    "Tassadar/Zeratul": 77,
    "Tassadar/Zeratul (Archon)": 77,
    "Fenix (Zealot)": 78,
    "Fenix (Dragoon)": 79,
    "Tassadar (Unit)": 80,
    "Tassadar (Templar)": 80,
    "Mojo": 81,
    "Mojo (Scout)": 81,
    "Warbringer": 82,
    "Warbringer (Reaver)": 82,
    "Gantrithor": 83,
    "Gantrithor (Carrier)": 83,
    "Protoss Reaver": 84,
    "Protoss Observer": 85,
    "Protoss Scarab": 86,
    "Danimoth": 87,
    "Danimoth (Arbiter)": 87,
    "Aldaris": 88,
    "Aldaris (Templar)": 88,
    "Artanis": 89,
    "Artanis (Scout)": 89,
    "Rhynadon": 90,
    "Rhynadon (Badlands)": 90,
    "Rhynadon (Badlands Critter)": 90,
    "Bengalaas": 91,
    "Bengalaas (Jungle)": 91,
    "Bengalaas (Jungle Critter)": 91,
    "Cargo Ship": 92,
    "Cargo Ship (Unused)": 92,
    "Unused type   1": 92,
    "Unused type   2": 93,
    "Mercenary Gunship": 93,
    "Mercenary Gunship (Unused)": 93,
    "Scantid": 94,
    "Scantid (Desert)": 94,
    "Scantid (Desert Critter)": 94,
    "Kakaru": 95,
    "Kakaru (Twilight)": 95,
    "Kakaru (Twilight Critter)": 95,
    "Ragnasaur": 96,
    "Ragnasaur (Ashworld)": 96,
    "Ragnasaur (Ashworld Critter)": 96,
    "Ursadon": 97,
    "Ursadon (Ice World)": 97,
    "Ursadon (Ice World Critter)": 97,
    "Lurker Egg": 98,
    "Zerg Lurker Egg": 98,
    "Raszagal": 99,
    "Raszagal (Corsair)": 99,
    "Samir Duran": 100,
    "Samir Duran (Ghost)": 100,
    "Alexei Stukov": 101,
    "Alexei Stukov (Ghost)": 101,
    "Map Revealer": 102,
    "Gerard DuGalle": 103,
    "Gerard DuGalle (Ghost)": 103,
    "Gerard DuGalle (BattleCruiser)": 103,
    "Zerg Lurker": 104,
    "Infested Duran": 105,
    "Infested Duran (Infested Terran)": 105,
    "Disruption Web (Unit)": 106,
    "Disruption Field": 106,
    "Terran Command Center": 107,
    "Terran Comsat Station": 108,
    "Terran Nuclear Silo": 109,
    "Terran Supply Depot": 110,
    "Terran Refinery": 111,
    "Terran Barracks": 112,
    "Terran Academy": 113,
    "Terran Factory": 114,
    "Terran Starport": 115,
    "Terran Control Tower": 116,
    "Terran Science Facility": 117,
    "Terran Covert Ops": 118,
    "Terran Physics Lab": 119,
    "Starbase": 120,
    "Starbase (Unused)": 120,
    "Unused Terran Bldg type   1": 120,
    "Terran Machine Shop": 121,
    "Repair Bay": 122,
    "Repair Bay (Unused)": 122,
    "Unused Terran Bldg type   2": 122,
    "Terran Engineering Bay": 123,
    "Terran Armory": 124,
    "Terran Missile Turret": 125,
    "Terran Bunker": 126,
    "Norad II (Crashed)": 127,
    "Norad II (Crashed Battlecruiser)": 127,
    "Ion Cannon": 128,
    "Uraj Crystal": 129,
    "Khalis Crystal": 130,
    "Infested Command Center": 131,
    "Zerg Hatchery": 132,
    "Zerg Lair": 133,
    "Zerg Hive": 134,
    "Zerg Nydus Canal": 135,
    "Zerg Hydralisk Den": 136,
    "Zerg Defiler Mound": 137,
    "Zerg Greater Spire": 138,
    "Zerg Queen's Nest": 139,
    "Zerg Evolution Chamber": 140,
    "Zerg Ultralisk Cavern": 141,
    "Zerg Spire": 142,
    "Zerg Spawning Pool": 143,
    "Zerg Creep Colony": 144,
    "Zerg Spore Colony": 145,
    "Unused Zerg Bldg": 146,
    "Unused Zerg Building1": 146,
    "Zerg Sunken Colony": 147,
    "Zerg Overmind (With Shell)": 148,
    "Zerg Overmind": 149,
    "Zerg Extractor": 150,
    "Mature Chrysalis": 151,
    "Zerg Cerebrate": 152,
    "Zerg Cerebrate Daggoth": 153,
    "Unused Zerg Building2": 154,
    "Protoss Nexus": 155,
    "Protoss Robotics Facility": 156,
    "Protoss Pylon": 157,
    "Protoss Assimilator": 158,
    "Protoss Unused type   1": 159,
    "Unused Protoss Building1": 159,
    "Protoss Observatory": 160,
    "Protoss Gateway": 161,
    "Protoss Unused type   2": 162,
    "Unused Protoss Building2": 162,
    "Protoss Photon Cannon": 163,
    "Protoss Citadel of Adun": 164,
    "Protoss Cybernetics Core": 165,
    "Protoss Templar Archives": 166,
    "Protoss Forge": 167,
    "Protoss Stargate": 168,
    "Stasis Cell/Prison": 169,
    "Protoss Fleet Beacon": 170,
    "Protoss Arbiter Tribunal": 171,
    "Protoss Robotics Support Bay": 172,
    "Protoss Shield Battery": 173,
    "Khaydarin Crystal Formation": 174,
    "Protoss Temple": 175,
    "Xel'Naga Temple": 176,
    "Mineral Field (Type 1)": 177,
    "Mineral Field (Type 2)": 178,
    "Mineral Field (Type 3)": 179,
    "Cave": 180,
    "Cave (Unused)": 180,
    "Cave-in": 181,
    "Cave-in (Unused)": 181,
    "Cantina": 182,
    "Cantina (Unused)": 182,
    "Mining Platform": 183,
    "Mining Platform (Unused)": 183,
    "Independent Command Center": 184,
    "Independent Command Center (Unused)": 184,
    "Independent Starport": 185,
    "Independent Starport (Unused)": 185,
    "Jump Gate": 186,
    "Independent Jump Gate (Unused)": 186,
    "Ruins (Unused)": 187,
    "Kyadarin Crystal Formation": 188,
    "Khaydarin Crystal Formation (Unused)": 188,
    "Vespene Geyser": 189,
    "Warp Gate": 190,
    "Psi Disrupter": 191,
    "Zerg Marker": 192,
    "Terran Marker": 193,
    "Protoss Marker": 194,
    "Zerg Beacon": 195,
    "Terran Beacon": 196,
    "Protoss Beacon": 197,
    "Zerg Flag Beacon": 198,
    "Terran Flag Beacon": 199,
    "Protoss Flag Beacon": 200,
    "Power Generator": 201,
    "Overmind Cocoon": 202,
    "Dark Swarm (Unit)": 203,
    "Floor Missile Trap": 204,
    "Floor Hatch (Unused)": 205,
    "Floor Hatch (UNUSED)": 205,
    "Left Upper Level Door": 206,
    "Right Upper Level Door": 207,
    "Left Pit Door": 208,
    "Right Pit Door": 209,
    "Floor Gun Trap": 210,
    "Left Wall Missile Trap": 211,
    "Left Wall Flame Trap": 212,
    "Right Wall Missile Trap": 213,
    "Right Wall Flame Trap": 214,
    "Start Location": 215,
    "Flag": 216,
    "Young Chrysalis": 217,
    "Psi Emitter": 218,
    "Data Disc": 219,
    "Khaydarin Crystal": 220,
    "Mineral Chunk (Type 1)": 221,
    "Mineral Chunk (Type 2)": 222,
    "Mineral Cluster Type 1": 221,
    "Mineral Cluster Type 2": 222,
    "Vespene Orb (Protoss Type 1)": 223,
    "Vespene Orb (Protoss Type 2)": 224,
    "Protoss Vespene Gas Orb Type 1": 223,
    "Protoss Vespene Gas Orb Type 2": 224,
    "Vespene Sac (Zerg Type 1)": 225,
    "Vespene Sac (Zerg Type 2)": 226,
    "Zerg Vespene Gas Sac Type 1": 225,
    "Zerg Vespene Gas Sac Type 2": 226,
    "Vespene Tank (Terran Type 1)": 227,
    "Vespene Tank (Terran Type 2)": 228,
    "Terran Vespene Gas Tank Type 1": 227,
    "Terran Vespene Gas Tank Type 2": 228,
    # weapon names
    "Gauss Rifle (Marine)": 229,
    "Gauss Rifle (Jim Raynor)": 230,
    "C-10 Canister Rifle (Ghost)": 231,
    "C-10 Canister Rifle (Sarah Kerrigan)": 232,
    "Fragmentation Grenade (Vulture)": 233,
    "Fragmentation Grenade (Jim Raynor)": 234,
    "Twin Autocannons (Goliath)": 235,
    "Hellfire Missile Pack (Goliath)": 236,
    "Twin Autocannons (Alan Schezar)": 237,
    "Hellfire Missile Pack (Alan Schezar)": 238,
    "Arclite Cannon (Siege Tank)": 239,
    "Arclite Cannon (Edmund Duke)": 240,
    "Fusion Cutter": 241,
    "Fusion Cutter (Harvest)": 242,
    "Gemini Missiles (Wraith)": 243,
    "Burst Lasers (Wraith)": 244,
    "Gemini Missiles (Tom Kazansky)": 245,
    "Burst Lasers (Tom Kazansky)": 246,
    "ATS Laser Battery (Battlecruiser)": 247,
    "ATA Laser Battery (Battlecruiser)": 248,
    "ATS Laser Battery (Norad II)": 249,
    "ATA Laser Battery (Norad II)": 250,
    "ATS Laser Battery (Hyperion)": 251,
    "ATA Laser Battery (Hyperion)": 252,
    "Flame Thrower (Firebat)": 253,
    "Flame Thrower (Gui Montag)": 254,
    "Arclite Shock Cannon (Siege Tank)": 255,
    "Arclite Shock Cannon (Edmund Duke)": 256,
    "Longbolt Missile": 257,
    "Nuclear Strike (Weapon)": 258,
    "EMP Shockwave (Weapon)": 259,
    "Claws (Zergling)": 260,
    "Claws (Devouring One)": 261,
    "Claws (Infested Kerrigan)": 262,
    "Needle Spines (Hydralisk)": 263,
    "Needle Spines (Hunter Killer)": 264,
    "Kaiser Blades (Ultralisk)": 265,
    "Kaiser Blades (Torrasque)": 266,
    "Toxic Spores": 267,
    "Spines": 268,
    "Acid Spray (Unused 1)": 269,
    "Acid Spray (Unused 2)": 270,
    "Acid Spore (Guardian)": 271,
    "Acid Spore (Kukulza)": 272,
    "Glave Wurm (Mutalisk)": 273,
    "Glave Wurm (Kukulza)": 274,
    "Venom (Defiler)": 275,
    "Venom (Unclean One)": 276,
    "Suicide (Infested Terran)": 277,
    "Seeker Spores": 278,
    "Subterranean Tentacle": 279,
    "Suicide (Scourge)": 280,
    "Particle Beam": 281,
    "Psi Blades (Zealot)": 282,
    "Psi Blades (Fenix)": 283,
    "Warp Blades (Dark Templar Hero)": 284,
    "Warp Blades (Zeratul)": 285,
    "Phase Disruptor (Dragoon)": 286,
    "Phase Disruptor (Fenix)": 287,
    "Psi Assault (High Templar)": 288,
    "Psi Assault (Tassadar)": 289,
    "Psionic Shockwave (Archon)": 290,
    "Psionic Shockwave (Tassadar/Zeratul)": 291,
    "Unused72": 292,
    "Dual Photon Blasters (Scout)": 293,
    "Anti-matter Missiles (Scout)": 294,
    "Dual Photon Blasters (Mojo)": 295,
    "Anti-matter Missiles (Mojo)": 296,
    "Phase Disruptor Cannon (Arbiter)": 297,
    "Phase Disruptor Cannon (Danimoth)": 298,
    "Pulse Cannon": 299,
    "STS Photon Cannon": 300,
    "STA Photon Cannon": 301,
    "Scarab (Weapon)": 302,
    "Missiles": 303,
    "Laser Battery": 304,
    "Tormentor Missiles": 305,
    "Bombs": 306,
    "Raider Gun": 307,
    "Flechette Grenade": 308,
    "Twin Autocannons": 309,
    "Hellfire Missile Pack": 310,
    "Flame Thrower": 311,
    "Undefined Weapon Name": 312,
    # spell names
    "Stim Packs (Tech)": 313,
    "Lockdown (Weapon)": 314,
    "EMP Shockwave (Tech)": 315,
    "Spider Mines (Weapon)": 316,
    "Scanner Sweep (Tech)": 317,
    "Tank Siege Mode": 318,
    "Defensive Matrix (Tech)": 319,
    "Irradiate (Tech)": 320,
    "Yamato Gun (Weapon)": 321,
    "Cloaking Field": 322,
    "Personnel Cloaking": 323,
    "Research Stim Pack Tech": 324,
    "Research Lockdown": 325,
    "Research EMP Shockwave": 326,
    "Research Spider Mines": 327,
    "Research Siege Tech": 328,
    "Research Defensive Matrix": 329,
    "Research Irradiate": 330,
    "Research Yamato Gun": 331,
    "Research Cloaking Field": 332,
    "Research Personnel Cloaking": 333,
    "Use Stim Packs": 334,
    "Lockdown (Cast)": 335,
    "Use Spider Mines": 336,
    "Scanner Sweep (Cast)": 337,
    "Siege Mode (Cast)": 338,
    "Tank Mode (Cast)": 339,
    "Activate Defensive Matrix": 340,
    "Activate EMP Shockwave": 341,
    "Irradiate (Cast)": 342,
    "Yamato Gun (Cast)": 343,
    "Cloak (Cast)": 344,
    "Decloak (Cast)": 345,
    "Stim Packs: Research at Academy": 346,
    "Lockdown: Research at Covert Ops": 347,
    "Spider Mines: Research at Machine Shop": 348,
    "Siege Mode: Research at Machine Shop": 349,
    "Defensive Matrix: Research at Science Facility": 350,
    "EMP Shockwave: Research at Science Facility": 351,
    "Irradiate: Research at Science Facility": 352,
    "Yamato Gun: Research at Physics Lab": 353,
    "Cloaking Field: Research at Control Tower": 354,
    "Personnel Cloaking: Research at Covert Ops": 355,
    "Burrowing": 356,
    "Infestation": 357,
    "Spawn Broodling (Tech)": 358,
    "Dark Swarm (Tech)": 359,
    "Parasite (Tech)": 360,
    "Plague (Tech)": 361,
    "Consume (Tech)": 362,
    "Ensnare (Tech)": 363,
    "Evolve Burrow": 364,
    "Evolve Infestation": 365,
    "Evolve Spawn Broodling": 366,
    "Evolve Dark Swarm": 367,
    "Evolve Parasite": 368,
    "Evolve Plague": 369,
    "Evolve Ensnare": 370,
    "Evolve Consume": 371,
    "Burrow (Cast)": 372,
    "Unburrow (Cast)": 373,
    "Infest Terran Command Center": 374,
    "Spawn Broodling (Cast)": 375,
    "Dark Swarm (Cast)": 376,
    "Parasite (Cast)": 377,
    "Plague (Cast)": 378,
    "Consume (Defiler)": 379,
    "Consume (Infested Kerrigan)": 380,
    "Ensnare (Cast)": 381,
    "Burrow: Evolve at Hatchery": 382,
    "Infest: Evolve at Queen's Nest": 383,
    "Spawn Broodlings: Evolve at Queen's Nest": 384,
    "Dark Swarm: Evolve at Defiler Mound": 385,
    "Parasite: Evolve at Queen's Nest": 386,
    "Plague: Evolve at Defiler Mound": 387,
    "Consume: Evolve at Defiler Mound": 388,
    "Ensnare: Evolve at Queen's Nest": 389,
    "Psionic Storm (Unused)": 390,
    "Hallucination (Unused)": 391,
    "Recall (Unused)": 392,
    "Stasis Field (Unused)": 393,
    "Archon Warp (Unused)": 394,
    "Develop Psionic Storm": 395,
    "Develop Hallucination": 396,
    "Develop Recall": 397,
    "Develop Stasis Field": 398,
    "Develop Archon Warp": 399,
    "Psionic Storm (Cast)": 400,
    "Hallucination (Cast)": 401,
    "Recall (Cast)": 402,
    "Stasis Field (Cast)": 403,
    "Archon Warp (Cast)": 404,
    "Psionic Storm: Develop at Templar Archives": 405,
    "Hallucination: Develop at Templar Archives": 406,
    "Recall: Develop at Arbiter Tribunal": 407,
    "Stasis Field: Develop at Arbiter Tribunal": 408,
    "Archon Warp: Research at Templar Archives": 409,
    "Archon Warp: Select 2 or more Templars": 410,
    # upgrade
    "Terran Infantry Armor": 411,
    "Terran Vehicle Plating": 412,
    "Terran Ship Plating": 413,
    "Zerg Carapace": 414,
    "Zerg Flyer Carapace": 415,
    "Protoss Armor": 416,
    "Protoss Plating": 417,
    "Terran Infantry Weapons": 418,
    "Terran Vehicle Weapons": 419,
    "Terran Ship Weapons": 420,
    "Zerg Melee Attacks": 421,
    "Zerg Missile Attacks": 422,
    "Zerg Flyer Attacks": 423,
    "Protoss Ground Weapons": 424,
    "Protoss Air Weapons": 425,
    "Protoss Plasma Shields": 426,
    "U-238 Shells": 427,
    "Ion Thrusters": 428,
    "Burst Lasers": 429,
    "Titan Reactor": 430,
    "Ocular Implants": 431,
    "Moebius Reactor": 432,
    "Apollo Reactor": 433,
    "Colossus Reactor": 434,
    "Ventral Sacs": 435,
    "Antennae": 436,
    "Pneumatized Carapace": 437,
    "Metabolic Boost": 438,
    "Adrenal Glands": 439,
    "Muscular Augments": 440,
    "Grooved Spines": 441,
    "Gamete Meiosis": 442,
    "Metasynaptic Node": 443,
    "Singularity Charge": 444,
    "Leg Enhancements": 445,
    "Scarab Damage": 446,
    "Reaver Capacity": 447,
    "Gravitic Drive": 448,
    "Sensor Array": 449,
    "Gravitic Boosters": 450,
    "Khaydarin Amulet": 451,
    "Apial Sensors": 452,
    "Gravitic Thrusters": 453,
    "Carrier Capacity": 454,
    "Khaydarin Core": 455,
    "Upgrade Infantry Armor": 456,
    "Upgrade Vehicle Plating": 457,
    "Upgrade Ship Plating": 458,
    "Evolve Carapace": 459,
    "Evolve Flyer Carapace": 460,
    "Upgrade Ground Armor": 461,
    "Upgrade Air Armor": 462,
    "Upgrade Infantry Weapons": 463,
    "Upgrade Vehicle Weapons": 464,
    "Upgrade Ship Weapons": 465,
    "Upgrade Melee Attacks": 466,
    "Upgrade Missile Attacks": 467,
    "Upgrade Flyer Attacks": 468,
    "Upgrade Ground Weapons": 469,
    "Upgrade Air Weapons": 470,
    "Upgrade Plasma Shields": 471,
    "Research U-238 Shells": 472,
    "Research Ion Thrusters": 473,
    "Research Burst Lasers": 474,
    "Research Titan Reactor": 475,
    "Research Ocular Implants": 476,
    "Research Moebius Reactor": 477,
    "Research Apollo Reactor": 478,
    "Research Colossus Reactor": 479,
    "Evolve Ventral Sacs": 480,
    "Evolve Antennae": 481,
    "Evolve Pneumatized Carapace": 482,
    "Evolve Metabolic Boost": 483,
    "Evolve Adrenal Glands": 484,
    "Evolve Muscular Augments": 485,
    "Evolve Grooved Spines": 486,
    "Evolve Gamete Meiosis": 487,
    "Evolve Metasynaptic Node": 488,
    "Develop Singularity Charge": 489,
    "Develop Leg Enhancements": 490,
    "Upgrade Scarab Damage": 491,
    "Increase Reaver Capacity": 492,
    "Develop Gravitic Drive": 493,
    "Develop Sensor Array": 494,
    "Develop Gravitic Booster": 495,
    "Develop Khaydarin Amulet": 496,
    "Develop Apial Sensors": 497,
    "Develop Gravitic Thrusters": 498,
    "Increase Carrier Capacity": 499,
    "Develop Khaydarin Core": 500,
    "Infantry Armor L1 Require: Nothing": 501,
    "Infantry Armor L2 Require: Science Facility": 502,
    "Infantry Armor L3 Require: Science Facility": 503,
    "Infantry Weapons L1 Require: Nothing": 504,
    "Infantry Weapons L2 Require: Science Facility": 505,
    "Infantry Weapons L3 Require: Science Facility": 506,
    "Vehicle Weapons L1 Require: Nothing": 507,
    "Vehicle Weapons L2 Require: Science Facility": 508,
    "Vehicle Weapons L3 Require: Science Facility": 509,
    "Vehicle Plating L1 Requires: Nothing": 510,
    "Vehicle Plating L2 Requires: Science Facility": 511,
    "Vehicle Plating L3 Requires: Science Facility": 512,
    "Ship Weapons L1 Require: Nothing": 513,
    "Ship Weapons L2 Require: Science Facility": 514,
    "Ship Weapons L3 Require: Science Facility": 515,
    "Ship Plating L1 Requires: Nothing": 516,
    "Ship Plating L2 Requires: Science Facility": 517,
    "Ship Plating L3 Requires: Science Facility": 518,
    "Melee Attacks L1 Require: Nothing": 519,
    "Melee Attacks L2 Require: Lair": 520,
    "Melee Attacks L3 Require: Hive": 521,
    "Missile Attacks L1 Require: Nothing": 522,
    "Missile Attacks L2 Require: Lair": 523,
    "Missile Attacks L3 Require: Hive": 524,
    "Carapace L1 Requires: Nothing": 525,
    "Carapace L2 Requires: Lair": 526,
    "Carapace L3 Requires: Hive": 527,
    "Flyer Attacks L1 Require: Nothing": 528,
    "Flyer Attacks L2 Require: Lair": 529,
    "Flyer Attacks L3 Require: Hive": 530,
    "Flyer Carapace L1 Requires: Nothing": 531,
    "Flyer Carapace L2 Requires: Lair": 532,
    "Flyer Carapace L3 Requires: Hive": 533,
    "Adrenal Glands Require: Hive": 534,
    "Ground Weapons L1 Require: Nothing": 535,
    "Ground Weapons L2 Require: Templar Archives": 536,
    "Ground Weapons L3 Require: Templar Archives": 537,
    "Air Weapons L1 Require: Nothing": 538,
    "Air Weapons L2 Require: Fleet Beacon": 539,
    "Air Weapons L3 Require: Fleet Beacon": 540,
    "Ground Armor L1 Requires: Nothing": 541,
    "Ground Armor L2 Requires: Templar Archives": 542,
    "Ground Armor L3 Requires: Templar Archives": 543,
    "Air Armor L1 Requires: Nothing": 544,
    "Air Armor L2 Requires: Fleet Beacon": 545,
    "Air Armor L3 Requires: Fleet Beacon": 546,
    "Shields L1 Require: Nothing": 547,
    "Shields L2 Require: Cybernetics Core": 548,
    "Shields L3 Require: Cybernetics Core": 549,
    "Recruit (Unused)": 550,
    "Private (Marine Unused)": 551,
    "Private (SCV Unused)": 552,
    "Corporal (Unused)": 553,
    "Specialist (Unused)": 554,
    "Sergeant (Unused)": 555,
    "First Sergeant (Goliath Unused)": 556,
    "Master Sergeant (Unused)": 557,
    "Warrant Officer (Unused)": 558,
    "Captain (Unused)": 559,
    "Major (Unused)": 560,
    "Lt Commander (Unused)": 561,
    "First Sergeant (Gui Montag Unused)": 562,
    "Sergeant Major (Unused)": 563,
    "Colonel (Unused)": 564,
    "Commodore (Unused)": 565,
    "Marshal (Unused)": 566,
    "Lieutenant (Unused)": 567,
    "General (Unused)": 568,
    "Captain Raynor (Unused)": 569,
    "General Duke (Unused)": 570,
    "Admiral (Unused)": 571,
    "Tassadar (Unused)": 572,
    "Interceptors (Unused)": 573,
    "ESC": 574,
    "Morph to Zerglings": 575,
    "Morph to Hydralisk": 576,
    "Morph to Ultralisk": 577,
    "Morph to Drone": 578,
    "Morph to Overlord": 579,
    "Morph to Mutalisk": 580,
    "Guardian Aspect (Cast)": 581,
    "Morph to Queen": 582,
    "Morph to Defiler": 583,
    "Morph to Scourge": 584,
    "Train Infested Terran": 585,
    "Train Marine": 586,
    "Train Ghost": 587,
    "Train Firebat": 588,
    "Build Vulture": 589,
    "Build Goliath": 590,
    "Build Siege Tank": 591,
    "Build SCV": 592,
    "Build Wraith": 593,
    "Build Science Vessel": 594,
    "Build Dropship": 595,
    "Build Battlecruiser": 596,
    "Arm Nuclear Silo": 597,
    "Build Observer": 598,
    "Build Probe": 599,
    "Warp in Zealot": 600,
    "Warp in Dragoon": 601,
    "Warp in High Templar": 602,
    "Build Shuttle": 603,
    "Warp in Scout": 604,
    "Warp in Arbiter": 605,
    "Warp in Carrier": 606,
    "Build Interceptor": 607,
    "Build Reaver": 608,
    "Build Scarab": 609,
    "Hire Merc Biker": 610,
    "Hire Merc Gunship": 611,
    "Hire Raider": 612,
    "Mutate into Hatchery": 613,
    "Mutate into Creep Colony": 614,
    "Mutate into Extractor": 615,
    "Mutate into Spawning Pool": 616,
    "Mutate into Evolution Chamber": 617,
    "Mutate into Hydralisk Den": 618,
    "Mutate into Nydus Canal": 619,
    "Mutate into Spire": 620,
    "Mutate into Queen's Nest": 621,
    "Mutate into Ultralisk Cavern": 622,
    "Mutate into Defiler Mound": 623,
    "Mutate into Lair": 624,
    "Mutate into Hive": 625,
    "Mutate into Greater Spire": 626,
    "Mutate into Spore Colony": 627,
    "Mutate into Sunken Colony": 628,
    "Place Nydus Canal Exit": 629,
    "Warp in Nexus": 630,
    "Warp in Pylon": 631,
    "Warp in Assimilator": 632,
    "Warp in Gateway": 633,
    "Warp in Forge": 634,
    "Warp in Photon Cannon": 635,
    "Warp in Cybernetics Core": 636,
    "Warp in Shield Battery": 637,
    "Warp in Robotics Facility": 638,
    "Warp in Observatory": 639,
    "Warp in Citadel of Adun": 640,
    "Warp in Templar Archives": 641,
    "Warp in Stargate": 642,
    "Warp in Fleet Beacon": 643,
    "Warp in Arbiter Tribunal": 644,
    "Warp in Robotics Support Bay": 645,
    "Build Command Center": 646,
    "Build Supply Depot": 647,
    "Build Refinery": 648,
    "Build Barracks": 649,
    "Build Engineering Bay": 650,
    "Build Missile Turret": 651,
    "Build Academy": 652,
    "Build Bunker": 653,
    "Build Factory": 654,
    "Build Starport": 655,
    "Build Science Facility": 656,
    "Build Armory": 657,
    "Build Comsat Station": 658,
    "Build Nuclear Silo": 659,
    "Build Control Tower": 660,
    "Build Covert Ops": 661,
    "Build Physics Lab": 662,
    "Build Machine Shop": 663,
    "Move": 664,
    "Stop (Cast)": 665,
    "Attack (Cast)": 666,
    "Patrol (Cast)": 667,
    "Hold Position (Cast)": 668,
    "Way Points": 669,
    "Land": 670,
    "Liftoff": 671,
    "Set Rally Point": 672,
    "Recharge Shields (Cast)": 673,
    "Select Larva": 674,
    "Gather": 675,
    "Return Cargo": 676,
    "Repair (Cast)": 677,
    "Build Structure": 678,
    "Build Advanced Structure": 679,
    "Basic Mutation": 680,
    "Advanced Mutation": 681,
    "Advanced Morph": 682,
    "Load": 683,
    "Unload All": 684,
    "Nuclear Strike (Cast)": 685,
    "Place COP": 686,
    "ESC - Cancel (Unknown)": 687,
    "ESC - Cancel (Normal)": 688,
    "ESC - Cancel Construction": 689,
    "ESC - Cancel Unit Training": 690,
    "ESC - Cancel Upgrade": 691,
    "ESC - Cancel Research": 692,
    "ESC - Cancel Last": 693,
    "ESC - Cancel Addon": 694,
    "ESC - Cancel Morph": 695,
    "ESC - Cancel Mutation (Build)": 696,
    "ESC - Cancel Infestation": 697,
    "ESC - Cancel Mutation (Lair)": 698,
    "ESC - Cancel Nuclear Strike": 699,
    "ESC - Halt Construction": 700,
    "Ghost Requires: Academy Science Facility with attached Covert Ops": 701,
    "Firebat Requires: Academy": 702,
    "Goliath Requires: Armory": 703,
    "Siege Tank Requires: Attached Machine Shop": 704,
    "Science Vessel Requires: Attached Constrol Tower Science Facility": 705,
    "Dropship Requires: Attached Constrol Tower": 706,
    "Battlecruiser Requires: Attached Constrol Tower Science Facility with attached Physics Lab": 707,  # noqa: E501
    "Comsat Station Requires: Academy": 708,
    "Nuclear Silo Requires: Science Facility with attached Covert Ops": 709,
    "Barracks Requires: Command Center": 710,
    "Academy Requires: Barracks": 711,
    "Factory Requires: Barracks": 712,
    "Starport Requires: Factory": 713,
    "Science Facility Requires: Starport": 714,
    "Engineering Bay Requires: Command Center": 715,
    "Armory Requires: Factory": 716,
    "Missile Turret Requires: Engineering Bay": 717,
    "Bunker Requires: Barracks": 718,
    "Dragoon Requires: Cybernetics Core": 719,
    "Templar Requires: Templar Archives": 720,
    "Arbiter Requires: Arbiter Tribunal": 721,
    "Carrier Requires: Fleet Beacon": 722,
    "Reaver Requires: Robotics Support Bay": 723,
    "Observer Requires: Observatory": 724,
    "Gateway Requires: Nexus": 725,
    "Forge Requires: Nexus": 726,
    "Photon Cannon Requires: Forge": 727,
    "Shield Battery Requires: Gateway": 728,
    "Cybernetics Core Requires: Gateway": 729,
    "Robotics Facility Requires: Cybernetics Core": 730,
    "Stargate Requires: Cybernetics Core": 731,
    "Citadel of Adun Requires: Cybernetics Core": 732,
    "Observatory Requires: Robotics Facility": 733,
    "Robotics Support Bay Requires: Robotics Facility": 734,
    "Fleet Beacon Requires: Stargate": 735,
    "Templar Archives Require: Citadel of Adun": 736,
    "Arbiter Tribunal Requires: Stargate Templar Archives": 737,
    "Zerglings Require: Spawning Pool": 738,
    "Hydralisk Requires: Hydralisk Den": 739,
    "Ultralisk Requires: Ultralisk Cavern": 740,
    "Mutalisk Requires: Spire": 741,
    "Guardian Aspect Requires: Greater Spire": 742,
    "Queen Requires: Queen's Nest": 743,
    "Defiler Requires: Defiler Mound": 744,
    "Scourge Require: Spire": 745,
    "Lair Requires: Spawning Pool": 746,
    "Hive Requires: Queen's Nest": 747,
    "Nydus Canal Requires: Hive": 748,
    "Hydralisk Den Requires: Spawning Pool": 749,
    "Spire Requires: Lair": 750,
    "Greater Spire Requires: Hive": 751,
    "Queen's Nest Requires: Lair": 752,
    "Evolution Chamber Requires: Hatchery": 753,
    "Ultralisk Cavern Requires: Hive": 754,
    "Defiler Mound Requires: Hive": 755,
    "Spawning Pool Requires: Hatchery": 756,
    "Spore Colony Requires: Evolution Chamber": 757,
    "Sunken Colony Requires: Spawning Pool": 758,
    "Carrier Attack: Build Interceptors": 759,
    "Reaver Attack: Build Scarabs": 760,
    "Nuclear Strike Requires: Armed Nuclear Silo": 761,
    "Not Implemented": 762,
    "mk": 763,
    "Kills:": 764,
    "Evolving (1)": 765,
    "Upgrading (1)": 766,
    "Upgrading (2)": 767,
    "Evolving (2)": 768,
    "Researching": 769,
    "Developing": 770,
    "Morphing (1)": 771,
    "Building (1)": 772,
    "Opening Warp Gate": 773,
    "Morphing (2)": 774,
    "Building (2)": 775,
    "Building (3)": 776,
    "Damage:": 777,
    "Armor:": 778,
    "Shields:": 779,
    "Mining Delay:": 780,
    "Production": 781,
    "Unit Ptr:": 782,
    "Current Order:": 783,
    "Next Order:": 784,
    "% Complete": 785,
    "Order:": 786,
    "Mutating (1)": 787,
    "Adding On": 788,
    "Opening Warp Rift (1)": 789,
    "Summoning": 790,
    "Interceptors (Count)": 791,
    "Scarabs": 792,
    "Nukes": 793,
    "Spider Mines (Count)": 794,
    "Next Level:": 795,
    "Minerals:": 796,
    "Vespene Gas:": 797,
    "Depleted": 798,
    "Mutating (2)": 799,
    "Under Construction": 800,
    "Opening Warp Rift (2)": 801,
    "Cancel Morph (%s)": 802,
    "Cancel Construction (%s)": 803,
    "Cancel Warp (%s)": 804,
    "Cancel Upgrade": 805,
    "Cancel Research": 806,
    "Cancel Morph": 807,
    "Unload Unit (%s)": 808,
    "Click: Select Unit": 809,
    "Show Terrain in Minimap (Tab)": 810,
    "Hide Terrain in Minimap (Tab)": 811,
    "Diplomacy": 812,
    "Messaging": 813,
    "Game Menu (F10)": 814,
    "Control Provided:": 815,
    "Supplies Provided:": 816,
    "Psi Provided:": 817,
    "Total Control:": 818,
    "Total Supplies:": 819,
    "Total Psi:": 820,
    "Control Used:": 821,
    "Supplies Used:": 822,
    "Psi Used:": 823,
    "Control Max:": 824,
    "Supplies Max:": 825,
    "Psi Max:": 826,
    "Parasite Detected": 827,
    "Disabled (1)": 828,
    "Disabled (2)": 829,
    "Unpowered": 830,
    "Detector": 831,
    "Hallucination (Status)": 832,
    "Units (1)": 833,
    "Units (2)": 834,
    "Resources": 835,
    "Kills": 836,
    "Score": 837,
    "Units to go (1)": 838,
    "Units to go (2)": 839,
    "Resources to go": 840,
    "Kills to go": 841,
    "Score to go": 842,
    "Nowhere to return to...can't return.": 843,
    "Too many underlings...create more Overlords.": 844,
    "Not enough supplies...build more Supply Depots.": 845,
    "Not enough psi...build more Pylons.": 846,
    "Underling limit exceeded.": 847,
    "Supply limit exceeded.": 848,
    "Psi limit exceeded.": 849,
    "Not enough minerals...mine more minerals.": 850,
    "Not enough Vespene gases....harvest more gas.": 851,
    "You can't build next to minerals or geysers.": 852,
    "An undetected unit is in the way.": 853,
    "You can't build off the map.": 854,
    "You can't build near the edge of the map.": 855,
    "You can't build there.": 856,
    "You must explore there first.": 857,
    "You must currently be able to see the location.": 858,
    "Could not build there, find a Vespene Geyser to build on.": 859,
    "You must build on the Creep.": 860,
    "You must build near a Pylon.": 861,
    "Couldn't reach the building site.": 862,
    "You can't land there.": 863,
    "Not enough energy. (1)": 864,
    "Not enough energy. (2)": 865,
    "Not enough energy. (3)": 866,
    "Nothing to harvest. Find a Mine or a Vespene Geyser.": 867,
    "Nothing to harvest. Find a Mine, or build a Refinery at a Vespene Geyser.": 868,
    "Nothing to harvest. Find a Mine, or build an Assimilator at a Vespene Geyser.": 869,  # noqa: E501
    "Must target severely damaged Terran Command Center.": 870,
    "Unit's waypoint list is full.": 871,
    "Unable to add order.": 872,
    "Running low on orders, your last order was not processed.": 873,
    "Not enough life remaining.": 874,
    "Vespene Geyser depleted.": 875,
    "Invalid target. (1)": 876,
    "Unable to target structure. (1)": 877,
    "Must target units.": 878,
    "Unable to attack target.": 879,
    "Invalid target. (2)": 880,
    "Must target mechanical units.": 881,
    "Invalid target. (3)": 882,
    "Must target damaged mechanical units or damaged complete buildings.": 883,
    "Must target Terran units.": 884,
    "Invalid target. (4)": 885,
    "Must target non-robotic ground units.": 886,
    "Must target ground.": 887,
    "Target out of range.": 888,
    "Target is too close.": 889,
    "Can only pick up your own transportable units.": 890,
    "Not enough room for unit.": 891,
    "Must gather from a Mineral Field or Vespene Geyser.": 892,
    "Morph an Extractor there first.": 893,
    "Build a Refinery there first.": 894,
    "Build an Assimilator there first.": 895,
    "Must gather gases from your own geyser.": 896,
    "Invalid target. (5)": 897,
    "Invalid target. (6)": 898,
    "Invalid target. (7)": 899,
    "Units in stasis can't be targeted.": 900,
    "Must target non-hovering ground units.": 901,
    "Must target passable terrain.": 902,
    # order names
    "Die": 903,
    "Fizzle": 904,
    "Stop (Order)": 905,
    "Guard": 906,
    "Player Guard": 907,
    "Turret Guard": 908,
    "Bunker Guard": 909,
    "Ignore": 910,
    "Carrier Ignore": 911,
    "Carrier Stop": 912,
    "Reaver Stop": 913,
    "Attack (Order)": 914,
    "Attack Unit": 915,
    "Attack Fixed Range": 916,
    "Move Attack Unit": 917,
    "Attack Tile": 918,
    "Hover": 919,
    "Attack Move": 920,
    "Atk Move EP": 921,
    "Harass Move": 922,
    "AI Patrol": 923,
    "Tower": 924,
    "Vulture Mine": 925,
    "Carrier Attack": 926,
    "Carrier Attack Move": 927,
    "Stay In Range": 928,
    "Turret Attack": 929,
    "Nothing": 930,
    "Drone Start Build": 931,
    "Drone Build": 932,
    "Drone Attack Unit": 933,
    "Infest Mine": 934,
    "Build": 935,
    "Build Protoss": 936,
    "Pylon Build": 937,
    "Construct Building": 938,
    "Repair (Order)": 939,
    "Place Add-On": 940,
    "Build Add-On": 941,
    "Train": 942,
    "Zerg Birth": 943,
    "Morph": 944,
    "Zerg Building Morph": 945,
    "Build Self": 946,
    "Zerg Build Self": 947,
    "Enter Nydus Canal": 948,
    "Protoss Build Self": 949,
    "Follow": 950,
    "Carrier": 951,
    "Carrier Fight": 952,
    "Reaver": 953,
    "Reaver Attack": 954,
    "Reaver Fight": 955,
    "Reaver Hold": 956,
    "Train Fighter": 957,
    "Strafe Unit": 958,
    "Scarab (Order)": 959,
    "Return": 960,
    "Drone Land": 961,
    "Building Land": 962,
    "Building Lift Off": 963,
    "Drone Lift Off": 964,
    "Lift Off": 965,
    "Research Tech": 966,
    "Upgrade": 967,
    "Larva": 968,
    "Spawning Larva": 969,
    "Harvest": 970,
    "Harvest Gas": 971,
    "Return Gas": 972,
    "Harvest Minerals": 973,
    "Return Minerals": 974,
    "Enter Transport (Order)": 975,
    "Pick Up": 976,
    "Powerup": 977,
    "Siege Mode (Order)": 978,
    "Tank Mode (Order)": 979,
    "Watch Target": 980,
    "Initing Creep Growth": 981,
    "Stopping Creep Growth": 982,
    "Spread Creep": 983,
    "Guardian Aspect (Order)": 984,
    "Warping Archon": 985,
    "Completing Archon Summon": 986,
    "Hold Position (Order)": 987,
    "Cloak (Order)": 988,
    "Decloak (Order)": 989,
    "Unload": 990,
    "Move Unload": 991,
    "Fire Yamato Gun": 992,
    "Magna Pulse": 993,
    "Burrow (Order)": 994,
    "Burrowed": 995,
    "Unburrow (Order)": 996,
    "Cast Parasite": 997,
    "Summon Broodlings": 998,
    "EMP Shockwave (Order)": 999,
    "Lockdown (Order)": 1000,
    "Nuke Wait": 1001,
    "Nuke Train": 1002,
    "Nuke Launch": 1003,
    "Nuke Paint": 1004,
    "Nuke Unit": 1005,
    "Nuke Ground": 1006,
    "Nuke Track": 1007,
    "Initializing Arbiter": 1008,
    "Cloaking nearby units": 1009,
    "Place Mine": 1010,
    "Right Click Action": 1011,
    "Left Click Action": 1012,
    "Sap Unit": 1013,
    "Sap Location": 1014,
    "Teleport": 1015,
    "Teleport to Location": 1016,
    "Place Scanner": 1017,
    "Scanner": 1018,
    "Defensive Matrix (Order)": 1019,
    "Reset Collision (1)": 1020,
    "Reset Collision (2)": 1021,
    "Patrol (Order)": 1022,
    "Computer AI": 1023,
    "Guard Post": 1024,
    "Rescue Passive": 1025,
    "Neutral": 1026,
    "Computer Return": 1027,
    "Initing Psi Provider": 1028,
    "Self Destructing": 1029,
    "Decaying creep": 1030,
    "Recharge Shields (Order)": 1031,
    "Shield Battery": 1032,
    "Rally Point": 1033,
    "CTF COP Init": 1034,
    "CTF COP": 1035,
    "Critter": 1036,
    "Hidden Gun": 1037,
    "Open Door": 1038,
    "Close Door": 1039,
    "Hide Trap": 1040,
    "Reveal Trap": 1041,
    "Enable Doodad": 1042,
    "Disable Doodad": 1043,
    "Warp In": 1044,
    "Hide and Suicide": 1045,
    "Fatal": 1046,
    # aiscript names
    "Nuclear launch detected.": 1047,
    "Terran Custom Level": 1048,
    "Terran Campaign Easy": 1049,
    "Terran Campaign Medium": 1050,
    "Terran Campaign Difficult": 1051,
    "Terran Campaign Area Town": 1052,
    "Terran 3 - Zerg Town": 1053,
    "Terran 5 - Terran Main Town": 1054,
    "Terran 5 - Terran Harvest Town": 1055,
    "Terran 6 - Air Attack Zerg": 1056,
    "Terran 6 - Ground Attack Zerg": 1057,
    "Terran 6 - Zerg Support Town": 1058,
    "Terran 7 - Bottom Zerg Town": 1059,
    "Terran 7 - Right Zerg Town": 1060,
    "Terran 7 - Middle Zerg Town": 1061,
    "Terran 8 - Confederate Town": 1062,
    "Terran 9 - Light Attack": 1063,
    "Terran 9 - Heavy Attack": 1064,
    "Terran 10 - Confederate Towns": 1065,
    "Terran 11 - Zerg Town": 1066,
    "Terran 11 - Lower Protoss Town": 1067,
    "Terran 11 - Upper Protoss Town": 1068,
    "Terran 12 - Nuke Town": 1069,
    "Terran 12 - Phoenix Town": 1070,
    "Terran 12 - Tank Town": 1071,
    "Protoss Custom Level": 1072,
    "Protoss Campaign Easy": 1073,
    "Protoss Campaign Medium": 1074,
    "Protoss Campaign Difficult": 1075,
    "Protoss Campaign Area Town": 1076,
    "Protoss 1 - Zerg Town": 1077,
    "Protoss 2 - Zerg Town": 1078,
    "Protoss 3 - Unused": 1079,
    "Protoss 3 - Air Zerg Town": 1080,
    "Protoss 3 - Ground Zerg Town": 1081,
    "Protoss 4 - Zerg Town": 1082,
    "Protoss 4 - Zerg Town (unused?)": 1083,
    "Protoss 5 - Zerg Town Island": 1084,
    "Protoss 5 - Zerg Town Base": 1085,
    "Protoss 6 - incomplete": 1086,
    "Protoss 7 - Left Protoss Town": 1087,
    "Protoss 7 - Right Protoss Town": 1088,
    "Protoss 7 - Shrine Protoss": 1089,
    "Protoss 8 - Left Protoss Town": 1090,
    "Protoss 8 - Right Protoss Town": 1091,
    "Protoss 8 - Protoss Defenders": 1092,
    "Protoss 9 - Ground Zerg": 1093,
    "Protoss 9 - Air Zerg": 1094,
    "Protoss 9 - Spell Zerg": 1095,
    "Protoss 10 - Mini-Towns": 1096,
    "Protoss 10 - Mini-Town Master": 1097,
    "Protoss 10 - Overmind Defenders": 1098,
    "Zerg Custom Level": 1099,
    "Zerg Campaign Easy": 1100,
    "Zerg Campaign Medium": 1101,
    "Zerg Campaign Difficult": 1102,
    "Zerg Campaign Area Town": 1103,
    "Zerg 1 - Terran Town": 1104,
    "Zerg 2 - Protoss Town": 1105,
    "Zerg 3 - Terran Town": 1106,
    "Zerg 4 - Right Terran Town": 1107,
    "Zerg 4 - Lower Terran Town": 1108,
    "Zerg 5 - incomplete": 1109,
    "Zerg 6 - Protoss Town": 1110,
    "Zerg 7 - Ground Town": 1111,
    "Zerg 7 - Air Town": 1112,
    "Zerg 7 - Support Town": 1113,
    "Zerg 8 - Scout Town": 1114,
    "Zerg 8 - Templar Town": 1115,
    "Zerg 9 - Teal Protoss": 1116,
    "Zerg 9 - Left Yellow Protoss": 1117,
    "Zerg 9 - Right Yellow Protoss": 1118,
    "Zerg 9 - Left Orange Protoss": 1119,
    "Zerg 9 - Right Orange Protoss": 1120,
    "Zerg 10 - Left Teal (Attack)": 1121,
    "Zerg 10 - Right Teal (Support)": 1122,
    "Zerg 10 - Left Yellow (Support)": 1123,
    "Zerg 10 - Right Yellow (Attack)": 1124,
    "Zerg 10 - Red Protoss": 1125,
    "Set a Default Staging Area": 1126,
    "Send All Units on Strategic Suicide Missions": 1127,
    "Send All Units on Random Suicide Missions": 1128,
    "Set Player to Enemy": 1129,
    "Set Player to Ally": 1130,
    "Move Dark Templars to Region": 1131,
    "Switch Computer Player to Rescue Passive": 1132,
    "Enter Closest Bunker": 1133,
    "Value This Area Higher": 1134,
    "Clear Previous Combat Data": 1135,
    "Debug Script 1 (general)": 1136,
    "Debug Script 2 (general)": 1137,
    "Debug Script 3 (general)": 1138,
    "Debug Script 4 (general)": 1139,
    "Debug Script 5 (general)": 1140,
    "Debug Script 1 (location)": 1141,
    "Debug Script 2 (location)": 1142,
    "Debug Script 3 (location)": 1143,
    "Debug Script 4 (location)": 1144,
    "Debug Script 5 (location)": 1145,
    # doodad names
    "Structure": 1146,
    "Structure Wall": 1147,
    "Cliff (Badlands)": 1148,
    "High Dirt (Badlands)": 1149,
    "Grass (Badlands)": 1150,
    "High Grass (Badlands)": 1151,
    "Dirt (Badlands)": 1152,
    "Rocky Ground (Badlands)": 1153,
    "Asphalt": 1154,
    "Water (Badlands)": 1155,
    "Coastal Cliff": 1156,
    "Jungle": 1157,
    "High Jungle": 1158,
    "Ruins (Jungle)": 1159,
    "High Ruins": 1160,
    "Temple Wall": 1161,
    "High Temple Wall": 1162,
    "Dark Platform": 1163,
    "High Plating": 1164,
    "Plating (Space)": 1165,
    "Platform": 1166,
    "Platform Wall": 1167,
    "Low Platform": 1168,
    "Low Platform Wall": 1169,
    "Rusty Pit Wall": 1170,
    "Rusty Pit": 1171,
    "Solar Array": 1172,
    "Dirt (Ashworld)": 1173,
    "High Dirt (Ashworld)": 1174,
    "Shale": 1175,
    "Cliff (Ashworld)": 1176,
    "Floor": 1177,
    "Wall": 1178,
    "Substructure": 1179,
    "Substructure Wall": 1180,
    "Plating (Installation)": 1181,
    "Bridges (1)": 1182,
    "Bridges (2)": 1183,
    "Elevated Catwalk Ramps": 1184,
    "Bridges (3)": 1185,
    "Tar": 1186,
    "Tar Cliff": 1187,
    "Dirt (Desert)": 1188,
    "Dried Mud": 1189,
    "Sand Dunes": 1190,
    "Rocky Ground (Desert)": 1191,
    "Crags": 1192,
    "Sandy Sunken Pit": 1193,
    "Compound": 1194,
    "High Dirt (Desert)": 1195,
    "High Sand Dunes": 1196,
    "High Crags": 1197,
    "High Sandy Sunken Pit": 1198,
    "High Compound": 1199,
    "Water (Ice World)": 1200,
    "Snow": 1201,
    "Moguls": 1202,
    "Dirt (Ice World)": 1203,
    "Rocky Snow": 1204,
    "Grass (Ice World)": 1205,
    "Ice": 1206,
    "Outpost": 1207,
    "High Snow": 1208,
    "High Dirt (Ice World)": 1209,
    "High Grass (Ice World)": 1210,
    "High Ice": 1211,
    "High Outpost": 1212,
    "Water (Twilight)": 1213,
    "Dirt (Twilight)": 1214,
    "Mud": 1215,
    "Crushed Rock": 1216,
    "Crevices": 1217,
    "Flagstones": 1218,
    "Sunken Ground": 1219,
    "Basilica": 1220,
    "High Dirt (Twilight)": 1221,
    "High Crushed Rock": 1222,
    "High Flagstones": 1223,
    "High Sunken Ground": 1224,
    "High Basilica": 1225,
    "Terran Campaign Insane": 1226,
    "Protoss Campaign Insane": 1227,
    "Zerg Campaign Insane": 1228,
    "Terran 1 - Electronic Distribution": 1229,
    "Terran 2 - Electronic Distribution": 1230,
    "Terran 3 - Electronic Distribution": 1231,
    "Terran 1 - Shareware": 1232,
    "Terran 2 - Shareware": 1233,
    "Terran 3 - Shareware": 1234,
    "Terran 4 - Shareware": 1235,
    "Terran 5 - Shareware": 1236,
    "Halo Rockets": 1237,
    "Corrosive Acid": 1238,
    "Subterranean Spines": 1239,
    "Neutron Flare": 1240,
    "Mind Control (Weapon)": 1241,
    "Healing": 1242,
    "Restoration (Tech)": 1243,
    "Optical Flare (Tech)": 1244,
    "Research Restoration": 1245,
    "Research Optical Flare": 1246,
    "Heal": 1247,
    "Restoration (Cast)": 1248,
    "Optical Flare (Cast)": 1249,
    "Restoration: Research at Academy": 1250,
    "Optical Flare: Research at Academy": 1251,
    "Lurker Aspect": 1252,
    "Evolve Lurker Aspect": 1253,
    "Lurker Aspect: Requires Lair": 1254,
    "Disruption Web (Tech)": 1255,
    "Mind Control (Tech)": 1256,
    "Dark Archon Meld (Tech)": 1257,
    "Feedback (Tech)": 1258,
    "Maelstrom (Tech)": 1259,
    "Develop Disruption Web": 1260,
    "Develop Mind Control": 1261,
    "Develop Feedback": 1262,
    "Develop Maelstrom": 1263,
    "Dark Archon Meld (Cast)": 1264,
    "Disruption Web (Cast)": 1265,
    "Mind Control (Cast)": 1266,
    "Feedback (Cast)": 1267,
    "Maelstrom (Cast)": 1268,
    "Disruption Web: Develop at Fleet Beacon": 1269,
    "Mind Control: Research at Templar Archives": 1270,
    "Dark Archon Meld: Research at Templar Archives": 1271,
    "Dark Archon Warp: Select 2 or more Dark Templars": 1272,
    "Feedback: No requirement": 1273,
    "Maelstrom: Develop at Templar Archives": 1274,
    "Caduceus Reactor": 1275,
    "Charon Booster": 1276,
    "Anabolic Synthesis": 1277,
    "Chitinous Plating": 1278,
    "Argus Jewel": 1279,
    "Argus Talisman": 1280,
    "Research Caduceus Reactor": 1281,
    "Research Charon Booster": 1282,
    "Evolve Anabolic Synthesis": 1283,
    "Evolve Chitinous Plating": 1284,
    "Develop Argus Jewel": 1285,
    "Develop Argus Talisman": 1286,
    "Research Charon Booster: Requires Armory": 1287,
    "Devourer Aspect": 1288,
    "Morph to Lurker": 1289,
    "Train Medic": 1290,
    "Build Valkyrie": 1291,
    "Warp in Corsair": 1292,
    "Warp in Dark Templar": 1293,
    "Medic Requires: Academy": 1294,
    "Valkyrie Requires: Attached Control Tower Armory": 1295,
    "Dark Templar Requires: Templar Archives": 1296,
    "Devourer Aspect Requires: Greater Spire": 1297,
    "Lurker Aspect: Evolve at Hydralisk Den": 1298,
    "Blind": 1299,
    "Acid Spores": 1300,
    "per rocket": 1301,
    "Recruit (Rank)": 1302,
    "Private (Marine Rank)": 1303,
    "Private (SCV Rank)": 1304,
    "1st Lieutenant (Rank)": 1305,
    "Corporal (Rank)": 1306,
    "Specialist (Rank)": 1307,
    "Sergeant (Rank)": 1308,
    "First Sergeant (Goliath Rank)": 1309,
    "Master Sergeant (Rank)": 1310,
    "Warrant Officer (Rank)": 1311,
    "Captain (Rank)": 1312,
    "Major (Rank)": 1313,
    "First Sergeant (Gui Montag Rank)": 1314,
    "Sergeant Major (Rank)": 1315,
    "Colonel (Rank)": 1316,
    "Commodore (Rank)": 1317,
    "Lt Commander (Rank)": 1318,
    "Marshal (Rank)": 1319,
    "Lieutenant (Rank)": 1320,
    "General (Rank)": 1321,
    "Captain Raynor (Rank)": 1322,
    "General Duke (Rank)": 1323,
    "Admiral (Rank)": 1324,
    "Must target injured non-mechanical ground units": 1325,
    "Invalid target. (8)": 1326,
    "Must target enemy units": 1327,
    "Must target non-mechanical units.": 1328,
    "Unable to target structure. (2)": 1329,
    "Must target units with energy.": 1330,
    "Medic": 1331,
    "Medic Heal": 1332,
    "Restoration (Order)": 1333,
    "Cast Disruption Web": 1334,
    "Mind Control (Order)": 1335,
    "Warping Dark Archon": 1336,
    "Cast Feedback": 1337,
    "Cast Optical Flare": 1338,
    "Cast Shockwave": 1339,
    "Heal Move": 1340,
    "Medic Hold Position": 1341,
    "Junk Yard Dog": 1342,
    "Terran Expansion Custom Level": 1343,
    "Protoss Expansion Custom Level": 1344,
    "Zerg Expansion Custom Level": 1345,
    "Brood Wars Protoss 1 - Town A": 1346,
    "Brood Wars Protoss 1 - Town B": 1347,
    "Brood Wars Protoss 1 - Town C": 1348,
    "Brood Wars Protoss 1 - Town D": 1349,
    "Brood Wars Protoss 1 - Town E": 1350,
    "Brood Wars Protoss 1 - Town F": 1351,
    "Brood Wars Protoss 2 - Town A": 1352,
    "Brood Wars Protoss 2 - Town B": 1353,
    "Brood Wars Protoss 2 - Town C": 1354,
    "Brood Wars Protoss 2 - Town D": 1355,
    "Brood Wars Protoss 2 - Town E": 1356,
    "Brood Wars Protoss 2 - Town F": 1357,
    "Brood Wars Protoss 3 - Town A": 1358,
    "Brood Wars Protoss 3 - Town B": 1359,
    "Brood Wars Protoss 3 - Town C": 1360,
    "Brood Wars Protoss 3 - Town D": 1361,
    "Brood Wars Protoss 3 - Town E": 1362,
    "Brood Wars Protoss 3 - Town F": 1363,
    "Brood Wars Protoss 4 - Town A": 1364,
    "Brood Wars Protoss 4 - Town B": 1365,
    "Brood Wars Protoss 4 - Town C": 1366,
    "Brood Wars Protoss 4 - Town D": 1367,
    "Brood Wars Protoss 4 - Town E": 1368,
    "Brood Wars Protoss 4 - Town F": 1369,
    "Brood Wars Protoss 5 - Town A": 1370,
    "Brood Wars Protoss 5 - Town B": 1371,
    "Brood Wars Protoss 5 - Town C": 1372,
    "Brood Wars Protoss 5 - Town D": 1373,
    "Brood Wars Protoss 5 - Town E": 1374,
    "Brood Wars Protoss 5 - Town F": 1375,
    "Brood Wars Protoss 6 - Town A": 1376,
    "Brood Wars Protoss 6 - Town B": 1377,
    "Brood Wars Protoss 6 - Town C": 1378,
    "Brood Wars Protoss 6 - Town D": 1379,
    "Brood Wars Protoss 6 - Town E": 1380,
    "Brood Wars Protoss 6 - Town F": 1381,
    "Brood Wars Protoss 7 - Town A": 1382,
    "Brood Wars Protoss 7 - Town B": 1383,
    "Brood Wars Protoss 7 - Town C": 1384,
    "Brood Wars Protoss 7 - Town D": 1385,
    "Brood Wars Protoss 7 - Town E": 1386,
    "Brood Wars Protoss 7 - Town F": 1387,
    "Brood Wars Protoss 8 - Town A": 1388,
    "Brood Wars Protoss 8 - Town B": 1389,
    "Brood Wars Protoss 8 - Town C": 1390,
    "Brood Wars Protoss 8 - Town D": 1391,
    "Brood Wars Protoss 8 - Town E": 1392,
    "Brood Wars Protoss 8 - Town F": 1393,
    "Brood Wars Terran 1 - Town A": 1394,
    "Brood Wars Terran 1 - Town B": 1395,
    "Brood Wars Terran 1 - Town C": 1396,
    "Brood Wars Terran 1 - Town D": 1397,
    "Brood Wars Terran 1 - Town E": 1398,
    "Brood Wars Terran 1 - Town F": 1399,
    "Brood Wars Terran 2 - Town A": 1400,
    "Brood Wars Terran 2 - Town B": 1401,
    "Brood Wars Terran 2 - Town C": 1402,
    "Brood Wars Terran 2 - Town D": 1403,
    "Brood Wars Terran 2 - Town E": 1404,
    "Brood Wars Terran 2 - Town F": 1405,
    "Brood Wars Terran 3 - Town A": 1406,
    "Brood Wars Terran 3 - Town B": 1407,
    "Brood Wars Terran 3 - Town C": 1408,
    "Brood Wars Terran 3 - Town D": 1409,
    "Brood Wars Terran 3 - Town E": 1410,
    "Brood Wars Terran 3 - Town F": 1411,
    "Brood Wars Terran 4 - Town A": 1412,
    "Brood Wars Terran 4 - Town B": 1413,
    "Brood Wars Terran 4 - Town C": 1414,
    "Brood Wars Terran 4 - Town D": 1415,
    "Brood Wars Terran 4 - Town E": 1416,
    "Brood Wars Terran 4 - Town F": 1417,
    "Brood Wars Terran 5 - Town A": 1418,
    "Brood Wars Terran 5 - Town B": 1419,
    "Brood Wars Terran 5 - Town C": 1420,
    "Brood Wars Terran 5 - Town D": 1421,
    "Brood Wars Terran 5 - Town E": 1422,
    "Brood Wars Terran 5 - Town F": 1423,
    "Brood Wars Terran 6 - Town A": 1424,
    "Brood Wars Terran 6 - Town B": 1425,
    "Brood Wars Terran 6 - Town C": 1426,
    "Brood Wars Terran 6 - Town D": 1427,
    "Brood Wars Terran 6 - Town E": 1428,
    "Brood Wars Terran 6 - Town F": 1429,
    "Brood Wars Terran 7 - Town A": 1430,
    "Brood Wars Terran 7 - Town B": 1431,
    "Brood Wars Terran 7 - Town C": 1432,
    "Brood Wars Terran 7 - Town D": 1433,
    "Brood Wars Terran 7 - Town E": 1434,
    "Brood Wars Terran 7 - Town F": 1435,
    "Brood Wars Terran 8 - Town A": 1436,
    "Brood Wars Terran 8 - Town B": 1437,
    "Brood Wars Terran 8 - Town C": 1438,
    "Brood Wars Terran 8 - Town D": 1439,
    "Brood Wars Terran 8 - Town E": 1440,
    "Brood Wars Terran 8 - Town F": 1441,
    "Brood Wars Zerg 1 - Town A": 1442,
    "Brood Wars Zerg 1 - Town B": 1443,
    "Brood Wars Zerg 1 - Town C": 1444,
    "Brood Wars Zerg 1 - Town D": 1445,
    "Brood Wars Zerg 1 - Town E": 1446,
    "Brood Wars Zerg 1 - Town F": 1447,
    "Brood Wars Zerg 2 - Town A": 1448,
    "Brood Wars Zerg 2 - Town B": 1449,
    "Brood Wars Zerg 2 - Town C": 1450,
    "Brood Wars Zerg 2 - Town D": 1451,
    "Brood Wars Zerg 2 - Town E": 1452,
    "Brood Wars Zerg 2 - Town F": 1453,
    "Brood Wars Zerg 3 - Town A": 1454,
    "Brood Wars Zerg 3 - Town B": 1455,
    "Brood Wars Zerg 3 - Town C": 1456,
    "Brood Wars Zerg 3 - Town D": 1457,
    "Brood Wars Zerg 3 - Town E": 1458,
    "Brood Wars Zerg 3 - Town F": 1459,
    "Brood Wars Zerg 4 - Town A": 1460,
    "Brood Wars Zerg 4 - Town B": 1461,
    "Brood Wars Zerg 4 - Town C": 1462,
    "Brood Wars Zerg 4 - Town D": 1463,
    "Brood Wars Zerg 4 - Town E": 1464,
    "Brood Wars Zerg 4 - Town F": 1465,
    "Brood Wars Zerg 5 - Town A": 1466,
    "Brood Wars Zerg 5 - Town B": 1467,
    "Brood Wars Zerg 5 - Town C": 1468,
    "Brood Wars Zerg 5 - Town D": 1469,
    "Brood Wars Zerg 5 - Town E": 1470,
    "Brood Wars Zerg 5 - Town F": 1471,
    "Brood Wars Zerg 6 - Town A": 1472,
    "Brood Wars Zerg 6 - Town B": 1473,
    "Brood Wars Zerg 6 - Town C": 1474,
    "Brood Wars Zerg 6 - Town D": 1475,
    "Brood Wars Zerg 6 - Town E": 1476,
    "Brood Wars Zerg 6 - Town F": 1477,
    "Brood Wars Zerg 7 - Town A": 1478,
    "Brood Wars Zerg 7 - Town B": 1479,
    "Brood Wars Zerg 7 - Town C": 1480,
    "Brood Wars Zerg 7 - Town D": 1481,
    "Brood Wars Zerg 7 - Town E": 1482,
    "Brood Wars Zerg 7 - Town F": 1483,
    "Brood Wars Zerg 8 - Town A": 1484,
    "Brood Wars Zerg 8 - Town B": 1485,
    "Brood Wars Zerg 8 - Town C": 1486,
    "Brood Wars Zerg 8 - Town D": 1487,
    "Brood Wars Zerg 8 - Town E": 1488,
    "Brood Wars Zerg 8 - Town F": 1489,
    "Brood Wars Zerg 9 - Town A": 1490,
    "Brood Wars Zerg 9 - Town B": 1491,
    "Brood Wars Zerg 9 - Town C": 1492,
    "Brood Wars Zerg 9 - Town D": 1493,
    "Brood Wars Zerg 9 - Town E": 1494,
    "Brood Wars Zerg 9 - Town F": 1495,
    "Brood Wars Zerg 10 - Town A": 1496,
    "Brood Wars Zerg 10 - Town B": 1497,
    "Brood Wars Zerg 10 - Town C": 1498,
    "Brood Wars Zerg 10 - Town D": 1499,
    "Brood Wars Zerg 10 - Town E": 1500,
    "Brood Wars Zerg 10 - Town F": 1501,
    "Expansion Zerg Campaign Easy": 1502,
    "Expansion Zerg Campaign Medium": 1503,
    "Expansion Zerg Campaign Difficult": 1504,
    "Expansion Zerg Campaign Area Town": 1505,
    "Expansion Protoss Campaign Easy": 1506,
    "Expansion Protoss Campaign Medium": 1507,
    "Expansion Protoss Campaign Difficult": 1508,
    "Expansion Protoss Campaign Area Town": 1509,
    "Expansion Terran Campaign Easy": 1510,
    "Expansion Terran Campaign Medium": 1511,
    "Expansion Terran Campaign Difficult": 1512,
    "Expansion Terran Campaign Area Town": 1513,
    "Expansion Terran Campaign Insane": 1514,
    "Expansion Protoss Campaign Insane": 1515,
    "Expansion Zerg Campaign Insane": 1516,
    "Set Generic Command Target": 1517,
    "Make These Units Patrol": 1518,
    "Enter Transport (AIScript)": 1519,
    "Exit Transport": 1520,
    "Turn ON Shared Vision for Player 1": 1521,
    "Turn ON Shared Vision for Player 2": 1522,
    "Turn ON Shared Vision for Player 3": 1523,
    "Turn ON Shared Vision for Player 4": 1524,
    "Turn ON Shared Vision for Player 5": 1525,
    "Turn ON Shared Vision for Player 6": 1526,
    "Turn ON Shared Vision for Player 7": 1527,
    "Turn ON Shared Vision for Player 8": 1528,
    "Turn OFF Shared Vision for Player 1": 1529,
    "Turn OFF Shared Vision for Player 2": 1530,
    "Turn OFF Shared Vision for Player 3": 1531,
    "Turn OFF Shared Vision for Player 4": 1532,
    "Turn OFF Shared Vision for Player 5": 1533,
    "Turn OFF Shared Vision for Player 6": 1534,
    "Turn OFF Shared Vision for Player 7": 1535,
    "Turn OFF Shared Vision for Player 8": 1536,
    "AI Nuke Here": 1537,
    "AI Harass Here": 1538,
    "Set Unit Order To: Junk Yard Dog": 1539,
    "View Players": 1540,
    "Speed Up": 1541,
    "Play": 1542,
    "Pause": 1543,
    "Slow Down": 1544,
    "Replay Progress": 1545,
    "Paused": 1546,
    "Unlimited": 1547,
}

DefaultStatText: TypeAlias = Literal[
    "None",
    "Terran Marine",
    "Terran Ghost",
    "Terran Vulture",
    "Terran Goliath",
    "Goliath Turret",
    "Terran Siege Tank (Tank Mode)",
    "Siege Tank Turret (Tank Mode)",
    "Terran SCV",
    "Terran Wraith",
    "Terran Science Vessel",
    "Gui Montag",
    "Terran Dropship",
    "Terran Battlecruiser",
    "Vulture Spider Mine",
    "Nuclear Missile",
    "Terran Civilian",
    "Sarah Kerrigan",
    "Alan Schezar",
    "Alan Schezar Turret",
    "Jim Raynor (Vulture)",
    "Jim Raynor (Marine)",
    "Tom Kazansky",
    "Magellan",
    "Edmund Duke (Tank Mode)",
    "Edmund Duke Turret (Tank Mode)",
    "Edmund Duke (Siege Mode)",
    "Edmund Duke Turret (Siege Mode)",
    "Arcturus Mengsk",
    "Hyperion",
    "Norad II (Battlecruiser)",
    "Terran Siege Tank (Siege Mode)",
    "Siege Tank Turret (Siege Mode)",
    "Terran Firebat",
    "Scanner Sweep (Unit)",
    "Terran Medic",
    "Zerg Larva",
    "Zerg Egg",
    "Zerg Zergling",
    "Zerg Hydralisk",
    "Zerg Ultralisk",
    "Zerg Broodling",
    "Zerg Drone",
    "Zerg Overlord",
    "Zerg Mutalisk",
    "Zerg Guardian",
    "Zerg Queen",
    "Zerg Defiler",
    "Zerg Scourge",
    "Torrasque",
    "Matriarch",
    "Infested Terran",
    "Infested Kerrigan",
    "Unclean One",
    "Hunter Killer",
    "Devouring One",
    "Kukulza (Mutalisk)",
    "Kukulza (Guardian)",
    "Yggdrasill",
    "Terran Valkyrie",
    "Cocoon",
    "Protoss Corsair",
    "Protoss Dark Templar",
    "Zerg Devourer",
    "Protoss Dark Archon",
    "Protoss Probe",
    "Protoss Zealot",
    "Protoss Dragoon",
    "Protoss High Templar",
    "Protoss Archon",
    "Protoss Shuttle",
    "Protoss Scout",
    "Protoss Arbiter",
    "Protoss Carrier",
    "Protoss Interceptor",
    "Dark Templar (Hero)",
    "Zeratul",
    "Tassadar/Zeratul",
    "Fenix (Zealot)",
    "Fenix (Dragoon)",
    "Tassadar (Unit)",
    "Mojo",
    "Warbringer",
    "Gantrithor",
    "Protoss Reaver",
    "Protoss Observer",
    "Protoss Scarab",
    "Danimoth",
    "Aldaris",
    "Artanis",
    "Rhynadon",
    "Bengalaas",
    "Cargo Ship",
    "Mercenary Gunship",
    "Scantid",
    "Kakaru",
    "Ragnasaur",
    "Ursadon",
    "Zerg Lurker Egg",
    "Raszagal",
    "Samir Duran",
    "Alexei Stukov",
    "Map Revealer",
    "Gerard DuGalle",
    "Zerg Lurker",
    "Infested Duran",
    "Disruption Web (Unit)",
    "Terran Command Center",
    "Terran Comsat Station",
    "Terran Nuclear Silo",
    "Terran Supply Depot",
    "Terran Refinery",
    "Terran Barracks",
    "Terran Academy",
    "Terran Factory",
    "Terran Starport",
    "Terran Control Tower",
    "Terran Science Facility",
    "Terran Covert Ops",
    "Terran Physics Lab",
    "Starbase",
    "Terran Machine Shop",
    "Repair Bay",
    "Terran Engineering Bay",
    "Terran Armory",
    "Terran Missile Turret",
    "Terran Bunker",
    "Norad II (Crashed)",
    "Ion Cannon",
    "Uraj Crystal",
    "Khalis Crystal",
    "Infested Command Center",
    "Zerg Hatchery",
    "Zerg Lair",
    "Zerg Hive",
    "Zerg Nydus Canal",
    "Zerg Hydralisk Den",
    "Zerg Defiler Mound",
    "Zerg Greater Spire",
    "Zerg Queen's Nest",
    "Zerg Evolution Chamber",
    "Zerg Ultralisk Cavern",
    "Zerg Spire",
    "Zerg Spawning Pool",
    "Zerg Creep Colony",
    "Zerg Spore Colony",
    "Unused Zerg Building1",
    "Zerg Sunken Colony",
    "Zerg Overmind (With Shell)",
    "Zerg Overmind",
    "Zerg Extractor",
    "Mature Chrysalis",
    "Zerg Cerebrate",
    "Zerg Cerebrate Daggoth",
    "Unused Zerg Building2",
    "Protoss Nexus",
    "Protoss Robotics Facility",
    "Protoss Pylon",
    "Protoss Assimilator",
    "Unused Protoss Building1",
    "Protoss Observatory",
    "Protoss Gateway",
    "Unused Protoss Building2",
    "Protoss Photon Cannon",
    "Protoss Citadel of Adun",
    "Protoss Cybernetics Core",
    "Protoss Templar Archives",
    "Protoss Forge",
    "Protoss Stargate",
    "Stasis Cell/Prison",
    "Protoss Fleet Beacon",
    "Protoss Arbiter Tribunal",
    "Protoss Robotics Support Bay",
    "Protoss Shield Battery",
    "Khaydarin Crystal Formation",
    "Protoss Temple",
    "Xel'Naga Temple",
    "Mineral Field (Type 1)",
    "Mineral Field (Type 2)",
    "Mineral Field (Type 3)",
    "Cave",
    "Cave-in",
    "Cantina",
    "Mining Platform",
    "Independent Command Center",
    "Independent Starport",
    "Jump Gate",
    "Ruins (Unused)",
    "Khaydarin Crystal Formation (Unused)",
    "Vespene Geyser",
    "Warp Gate",
    "Psi Disrupter",
    "Zerg Marker",
    "Terran Marker",
    "Protoss Marker",
    "Zerg Beacon",
    "Terran Beacon",
    "Protoss Beacon",
    "Zerg Flag Beacon",
    "Terran Flag Beacon",
    "Protoss Flag Beacon",
    "Power Generator",
    "Overmind Cocoon",
    "Dark Swarm (Unit)",
    "Floor Missile Trap",
    "Floor Hatch (Unused)",
    "Left Upper Level Door",
    "Right Upper Level Door",
    "Left Pit Door",
    "Right Pit Door",
    "Floor Gun Trap",
    "Left Wall Missile Trap",
    "Left Wall Flame Trap",
    "Right Wall Missile Trap",
    "Right Wall Flame Trap",
    "Start Location",
    "Flag",
    "Young Chrysalis",
    "Psi Emitter",
    "Data Disc",
    "Khaydarin Crystal",
    "Mineral Chunk (Type 1)",
    "Mineral Chunk (Type 2)",
    "Vespene Orb (Protoss Type 1)",
    "Vespene Orb (Protoss Type 2)",
    "Vespene Sac (Zerg Type 1)",
    "Vespene Sac (Zerg Type 2)",
    "Vespene Tank (Terran Type 1)",
    "Vespene Tank (Terran Type 2)",
    "Gauss Rifle (Marine)",
    "Gauss Rifle (Jim Raynor)",
    "C-10 Canister Rifle (Ghost)",
    "C-10 Canister Rifle (Sarah Kerrigan)",
    "Fragmentation Grenade (Vulture)",
    "Fragmentation Grenade (Jim Raynor)",
    "Twin Autocannons (Goliath)",
    "Hellfire Missile Pack (Goliath)",
    "Twin Autocannons (Alan Schezar)",
    "Hellfire Missile Pack (Alan Schezar)",
    "Arclite Cannon (Siege Tank)",
    "Arclite Cannon (Edmund Duke)",
    "Fusion Cutter",
    "Fusion Cutter (Harvest)",
    "Gemini Missiles (Wraith)",
    "Burst Lasers (Wraith)",
    "Gemini Missiles (Tom Kazansky)",
    "Burst Lasers (Tom Kazansky)",
    "ATS Laser Battery (Battlecruiser)",
    "ATA Laser Battery (Battlecruiser)",
    "ATS Laser Battery (Norad II)",
    "ATA Laser Battery (Norad II)",
    "ATS Laser Battery (Hyperion)",
    "ATA Laser Battery (Hyperion)",
    "Flame Thrower (Firebat)",
    "Flame Thrower (Gui Montag)",
    "Arclite Shock Cannon (Siege Tank)",
    "Arclite Shock Cannon (Edmund Duke)",
    "Longbolt Missile",
    "Nuclear Strike (Weapon)",
    "EMP Shockwave (Weapon)",
    "Claws (Zergling)",
    "Claws (Devouring One)",
    "Claws (Infested Kerrigan)",
    "Needle Spines (Hydralisk)",
    "Needle Spines (Hunter Killer)",
    "Kaiser Blades (Ultralisk)",
    "Kaiser Blades (Torrasque)",
    "Toxic Spores",
    "Spines",
    "Acid Spray (Unused 1)",
    "Acid Spray (Unused 2)",
    "Acid Spore (Guardian)",
    "Acid Spore (Kukulza)",
    "Glave Wurm (Mutalisk)",
    "Glave Wurm (Kukulza)",
    "Venom (Defiler)",
    "Venom (Unclean One)",
    "Suicide (Infested Terran)",
    "Seeker Spores",
    "Subterranean Tentacle",
    "Suicide (Scourge)",
    "Particle Beam",
    "Psi Blades (Zealot)",
    "Psi Blades (Fenix)",
    "Warp Blades (Dark Templar Hero)",
    "Warp Blades (Zeratul)",
    "Phase Disruptor (Dragoon)",
    "Phase Disruptor (Fenix)",
    "Psi Assault (High Templar)",
    "Psi Assault (Tassadar)",
    "Psionic Shockwave (Archon)",
    "Psionic Shockwave (Tassadar/Zeratul)",
    "Unused72",
    "Dual Photon Blasters (Scout)",
    "Anti-matter Missiles (Scout)",
    "Dual Photon Blasters (Mojo)",
    "Anti-matter Missiles (Mojo)",
    "Phase Disruptor Cannon (Arbiter)",
    "Phase Disruptor Cannon (Danimoth)",
    "Pulse Cannon",
    "STS Photon Cannon",
    "STA Photon Cannon",
    "Scarab (Weapon)",
    "Missiles",
    "Laser Battery",
    "Tormentor Missiles",
    "Bombs",
    "Raider Gun",
    "Flechette Grenade",
    "Twin Autocannons",
    "Hellfire Missile Pack",
    "Flame Thrower",
    "Undefined Weapon Name",
    "Stim Packs (Tech)",
    "Lockdown (Weapon)",
    "EMP Shockwave (Tech)",
    "Spider Mines (Weapon)",
    "Scanner Sweep (Tech)",
    "Tank Siege Mode",
    "Defensive Matrix (Tech)",
    "Irradiate (Tech)",
    "Yamato Gun (Weapon)",
    "Cloaking Field",
    "Personnel Cloaking",
    "Research Stim Pack Tech",
    "Research Lockdown",
    "Research EMP Shockwave",
    "Research Spider Mines",
    "Research Siege Tech",
    "Research Defensive Matrix",
    "Research Irradiate",
    "Research Yamato Gun",
    "Research Cloaking Field",
    "Research Personnel Cloaking",
    "Use Stim Packs",
    "Lockdown (Cast)",
    "Use Spider Mines",
    "Scanner Sweep (Cast)",
    "Siege Mode (Cast)",
    "Tank Mode (Cast)",
    "Activate Defensive Matrix",
    "Activate EMP Shockwave",
    "Irradiate (Cast)",
    "Yamato Gun (Cast)",
    "Cloak (Cast)",
    "Decloak (Cast)",
    "Stim Packs: Research at Academy",
    "Lockdown: Research at Covert Ops",
    "Spider Mines: Research at Machine Shop",
    "Siege Mode: Research at Machine Shop",
    "Defensive Matrix: Research at Science Facility",
    "EMP Shockwave: Research at Science Facility",
    "Irradiate: Research at Science Facility",
    "Yamato Gun: Research at Physics Lab",
    "Cloaking Field: Research at Control Tower",
    "Personnel Cloaking: Research at Covert Ops",
    "Burrowing",
    "Infestation",
    "Spawn Broodling (Tech)",
    "Dark Swarm (Tech)",
    "Parasite (Tech)",
    "Plague (Tech)",
    "Consume (Tech)",
    "Ensnare (Tech)",
    "Evolve Burrow",
    "Evolve Infestation",
    "Evolve Spawn Broodling",
    "Evolve Dark Swarm",
    "Evolve Parasite",
    "Evolve Plague",
    "Evolve Ensnare",
    "Evolve Consume",
    "Burrow (Cast)",
    "Unburrow (Cast)",
    "Infest Terran Command Center",
    "Spawn Broodling (Cast)",
    "Dark Swarm (Cast)",
    "Parasite (Cast)",
    "Plague (Cast)",
    "Consume (Defiler)",
    "Consume (Infested Kerrigan)",
    "Ensnare (Cast)",
    "Burrow: Evolve at Hatchery",
    "Infest: Evolve at Queen's Nest",
    "Spawn Broodlings: Evolve at Queen's Nest",
    "Dark Swarm: Evolve at Defiler Mound",
    "Parasite: Evolve at Queen's Nest",
    "Plague: Evolve at Defiler Mound",
    "Consume: Evolve at Defiler Mound",
    "Ensnare: Evolve at Queen's Nest",
    "Psionic Storm (Unused)",
    "Hallucination (Unused)",
    "Recall (Unused)",
    "Stasis Field (Unused)",
    "Archon Warp (Unused)",
    "Develop Psionic Storm",
    "Develop Hallucination",
    "Develop Recall",
    "Develop Stasis Field",
    "Develop Archon Warp",
    "Psionic Storm (Cast)",
    "Hallucination (Cast)",
    "Recall (Cast)",
    "Stasis Field (Cast)",
    "Archon Warp (Cast)",
    "Psionic Storm: Develop at Templar Archives",
    "Hallucination: Develop at Templar Archives",
    "Recall: Develop at Arbiter Tribunal",
    "Stasis Field: Develop at Arbiter Tribunal",
    "Archon Warp: Research at Templar Archives",
    "Archon Warp: Select 2 or more Templars",
    "Terran Infantry Armor",
    "Terran Vehicle Plating",
    "Terran Ship Plating",
    "Zerg Carapace",
    "Zerg Flyer Carapace",
    "Protoss Armor",
    "Protoss Plating",
    "Terran Infantry Weapons",
    "Terran Vehicle Weapons",
    "Terran Ship Weapons",
    "Zerg Melee Attacks",
    "Zerg Missile Attacks",
    "Zerg Flyer Attacks",
    "Protoss Ground Weapons",
    "Protoss Air Weapons",
    "Protoss Plasma Shields",
    "U-238 Shells",
    "Ion Thrusters",
    "Burst Lasers",
    "Titan Reactor",
    "Ocular Implants",
    "Moebius Reactor",
    "Apollo Reactor",
    "Colossus Reactor",
    "Ventral Sacs",
    "Antennae",
    "Pneumatized Carapace",
    "Metabolic Boost",
    "Adrenal Glands",
    "Muscular Augments",
    "Grooved Spines",
    "Gamete Meiosis",
    "Metasynaptic Node",
    "Singularity Charge",
    "Leg Enhancements",
    "Scarab Damage",
    "Reaver Capacity",
    "Gravitic Drive",
    "Sensor Array",
    "Gravitic Boosters",
    "Khaydarin Amulet",
    "Apial Sensors",
    "Gravitic Thrusters",
    "Carrier Capacity",
    "Khaydarin Core",
    "Upgrade Infantry Armor",
    "Upgrade Vehicle Plating",
    "Upgrade Ship Plating",
    "Evolve Carapace",
    "Evolve Flyer Carapace",
    "Upgrade Ground Armor",
    "Upgrade Air Armor",
    "Upgrade Infantry Weapons",
    "Upgrade Vehicle Weapons",
    "Upgrade Ship Weapons",
    "Upgrade Melee Attacks",
    "Upgrade Missile Attacks",
    "Upgrade Flyer Attacks",
    "Upgrade Ground Weapons",
    "Upgrade Air Weapons",
    "Upgrade Plasma Shields",
    "Research U-238 Shells",
    "Research Ion Thrusters",
    "Research Burst Lasers",
    "Research Titan Reactor",
    "Research Ocular Implants",
    "Research Moebius Reactor",
    "Research Apollo Reactor",
    "Research Colossus Reactor",
    "Evolve Ventral Sacs",
    "Evolve Antennae",
    "Evolve Pneumatized Carapace",
    "Evolve Metabolic Boost",
    "Evolve Adrenal Glands",
    "Evolve Muscular Augments",
    "Evolve Grooved Spines",
    "Evolve Gamete Meiosis",
    "Evolve Metasynaptic Node",
    "Develop Singularity Charge",
    "Develop Leg Enhancements",
    "Upgrade Scarab Damage",
    "Increase Reaver Capacity",
    "Develop Gravitic Drive",
    "Develop Sensor Array",
    "Develop Gravitic Booster",
    "Develop Khaydarin Amulet",
    "Develop Apial Sensors",
    "Develop Gravitic Thrusters",
    "Increase Carrier Capacity",
    "Develop Khaydarin Core",
    "Infantry Armor L1 Require: Nothing",
    "Infantry Armor L2 Require: Science Facility",
    "Infantry Armor L3 Require: Science Facility",
    "Infantry Weapons L1 Require: Nothing",
    "Infantry Weapons L2 Require: Science Facility",
    "Infantry Weapons L3 Require: Science Facility",
    "Vehicle Weapons L1 Require: Nothing",
    "Vehicle Weapons L2 Require: Science Facility",
    "Vehicle Weapons L3 Require: Science Facility",
    "Vehicle Plating L1 Requires: Nothing",
    "Vehicle Plating L2 Requires: Science Facility",
    "Vehicle Plating L3 Requires: Science Facility",
    "Ship Weapons L1 Require: Nothing",
    "Ship Weapons L2 Require: Science Facility",
    "Ship Weapons L3 Require: Science Facility",
    "Ship Plating L1 Requires: Nothing",
    "Ship Plating L2 Requires: Science Facility",
    "Ship Plating L3 Requires: Science Facility",
    "Melee Attacks L1 Require: Nothing",
    "Melee Attacks L2 Require: Lair",
    "Melee Attacks L3 Require: Hive",
    "Missile Attacks L1 Require: Nothing",
    "Missile Attacks L2 Require: Lair",
    "Missile Attacks L3 Require: Hive",
    "Carapace L1 Requires: Nothing",
    "Carapace L2 Requires: Lair",
    "Carapace L3 Requires: Hive",
    "Flyer Attacks L1 Require: Nothing",
    "Flyer Attacks L2 Require: Lair",
    "Flyer Attacks L3 Require: Hive",
    "Flyer Carapace L1 Requires: Nothing",
    "Flyer Carapace L2 Requires: Lair",
    "Flyer Carapace L3 Requires: Hive",
    "Adrenal Glands Require: Hive",
    "Ground Weapons L1 Require: Nothing",
    "Ground Weapons L2 Require: Templar Archives",
    "Ground Weapons L3 Require: Templar Archives",
    "Air Weapons L1 Require: Nothing",
    "Air Weapons L2 Require: Fleet Beacon",
    "Air Weapons L3 Require: Fleet Beacon",
    "Ground Armor L1 Requires: Nothing",
    "Ground Armor L2 Requires: Templar Archives",
    "Ground Armor L3 Requires: Templar Archives",
    "Air Armor L1 Requires: Nothing",
    "Air Armor L2 Requires: Fleet Beacon",
    "Air Armor L3 Requires: Fleet Beacon",
    "Shields L1 Require: Nothing",
    "Shields L2 Require: Cybernetics Core",
    "Shields L3 Require: Cybernetics Core",
    "Recruit (Unused)",
    "Private (Marine Unused)",
    "Private (SCV Unused)",
    "Corporal (Unused)",
    "Specialist (Unused)",
    "Sergeant (Unused)",
    "First Sergeant (Goliath Unused)",
    "Master Sergeant (Unused)",
    "Warrant Officer (Unused)",
    "Captain (Unused)",
    "Major (Unused)",
    "Lt Commander (Unused)",
    "First Sergeant (Gui Montag Unused)",
    "Sergeant Major (Unused)",
    "Colonel (Unused)",
    "Commodore (Unused)",
    "Marshal (Unused)",
    "Lieutenant (Unused)",
    "General (Unused)",
    "Captain Raynor (Unused)",
    "General Duke (Unused)",
    "Admiral (Unused)",
    "Tassadar (Unused)",
    "Interceptors (Unused)",
    "ESC",
    "Morph to Zerglings",
    "Morph to Hydralisk",
    "Morph to Ultralisk",
    "Morph to Drone",
    "Morph to Overlord",
    "Morph to Mutalisk",
    "Guardian Aspect (Cast)",
    "Morph to Queen",
    "Morph to Defiler",
    "Morph to Scourge",
    "Train Infested Terran",
    "Train Marine",
    "Train Ghost",
    "Train Firebat",
    "Build Vulture",
    "Build Goliath",
    "Build Siege Tank",
    "Build SCV",
    "Build Wraith",
    "Build Science Vessel",
    "Build Dropship",
    "Build Battlecruiser",
    "Arm Nuclear Silo",
    "Build Observer",
    "Build Probe",
    "Warp in Zealot",
    "Warp in Dragoon",
    "Warp in High Templar",
    "Build Shuttle",
    "Warp in Scout",
    "Warp in Arbiter",
    "Warp in Carrier",
    "Build Interceptor",
    "Build Reaver",
    "Build Scarab",
    "Hire Merc Biker",
    "Hire Merc Gunship",
    "Hire Raider",
    "Mutate into Hatchery",
    "Mutate into Creep Colony",
    "Mutate into Extractor",
    "Mutate into Spawning Pool",
    "Mutate into Evolution Chamber",
    "Mutate into Hydralisk Den",
    "Mutate into Nydus Canal",
    "Mutate into Spire",
    "Mutate into Queen's Nest",
    "Mutate into Ultralisk Cavern",
    "Mutate into Defiler Mound",
    "Mutate into Lair",
    "Mutate into Hive",
    "Mutate into Greater Spire",
    "Mutate into Spore Colony",
    "Mutate into Sunken Colony",
    "Place Nydus Canal Exit",
    "Warp in Nexus",
    "Warp in Pylon",
    "Warp in Assimilator",
    "Warp in Gateway",
    "Warp in Forge",
    "Warp in Photon Cannon",
    "Warp in Cybernetics Core",
    "Warp in Shield Battery",
    "Warp in Robotics Facility",
    "Warp in Observatory",
    "Warp in Citadel of Adun",
    "Warp in Templar Archives",
    "Warp in Stargate",
    "Warp in Fleet Beacon",
    "Warp in Arbiter Tribunal",
    "Warp in Robotics Support Bay",
    "Build Command Center",
    "Build Supply Depot",
    "Build Refinery",
    "Build Barracks",
    "Build Engineering Bay",
    "Build Missile Turret",
    "Build Academy",
    "Build Bunker",
    "Build Factory",
    "Build Starport",
    "Build Science Facility",
    "Build Armory",
    "Build Comsat Station",
    "Build Nuclear Silo",
    "Build Control Tower",
    "Build Covert Ops",
    "Build Physics Lab",
    "Build Machine Shop",
    "Move",
    "Stop (Cast)",
    "Attack (Cast)",
    "Patrol (Cast)",
    "Hold Position (Cast)",
    "Way Points",
    "Land",
    "Liftoff",
    "Set Rally Point",
    "Recharge Shields (Cast)",
    "Select Larva",
    "Gather",
    "Return Cargo",
    "Repair (Cast)",
    "Build Structure",
    "Build Advanced Structure",
    "Basic Mutation",
    "Advanced Mutation",
    "Advanced Morph",
    "Load",
    "Unload All",
    "Nuclear Strike (Cast)",
    "Place COP",
    "ESC - Cancel (Unknown)",
    "ESC - Cancel (Normal)",
    "ESC - Cancel Construction",
    "ESC - Cancel Unit Training",
    "ESC - Cancel Upgrade",
    "ESC - Cancel Research",
    "ESC - Cancel Last",
    "ESC - Cancel Addon",
    "ESC - Cancel Morph",
    "ESC - Cancel Mutation (Build)",
    "ESC - Cancel Infestation",
    "ESC - Cancel Mutation (Lair)",
    "ESC - Cancel Nuclear Strike",
    "ESC - Halt Construction",
    "Ghost Requires: Academy Science Facility with attached Covert Ops",
    "Firebat Requires: Academy",
    "Goliath Requires: Armory",
    "Siege Tank Requires: Attached Machine Shop",
    "Science Vessel Requires: Attached Constrol Tower Science Facility",
    "Dropship Requires: Attached Constrol Tower",
    "Battlecruiser Requires: Attached Constrol Tower Science Facility with attached Physics Lab",  # noqa: E501
    "Comsat Station Requires: Academy",
    "Nuclear Silo Requires: Science Facility with attached Covert Ops",
    "Barracks Requires: Command Center",
    "Academy Requires: Barracks",
    "Factory Requires: Barracks",
    "Starport Requires: Factory",
    "Science Facility Requires: Starport",
    "Engineering Bay Requires: Command Center",
    "Armory Requires: Factory",
    "Missile Turret Requires: Engineering Bay",
    "Bunker Requires: Barracks",
    "Dragoon Requires: Cybernetics Core",
    "Templar Requires: Templar Archives",
    "Arbiter Requires: Arbiter Tribunal",
    "Carrier Requires: Fleet Beacon",
    "Reaver Requires: Robotics Support Bay",
    "Observer Requires: Observatory",
    "Gateway Requires: Nexus",
    "Forge Requires: Nexus",
    "Photon Cannon Requires: Forge",
    "Shield Battery Requires: Gateway",
    "Cybernetics Core Requires: Gateway",
    "Robotics Facility Requires: Cybernetics Core",
    "Stargate Requires: Cybernetics Core",
    "Citadel of Adun Requires: Cybernetics Core",
    "Observatory Requires: Robotics Facility",
    "Robotics Support Bay Requires: Robotics Facility",
    "Fleet Beacon Requires: Stargate",
    "Templar Archives Require: Citadel of Adun",
    "Arbiter Tribunal Requires: Stargate Templar Archives",
    "Zerglings Require: Spawning Pool",
    "Hydralisk Requires: Hydralisk Den",
    "Ultralisk Requires: Ultralisk Cavern",
    "Mutalisk Requires: Spire",
    "Guardian Aspect Requires: Greater Spire",
    "Queen Requires: Queen's Nest",
    "Defiler Requires: Defiler Mound",
    "Scourge Require: Spire",
    "Lair Requires: Spawning Pool",
    "Hive Requires: Queen's Nest",
    "Nydus Canal Requires: Hive",
    "Hydralisk Den Requires: Spawning Pool",
    "Spire Requires: Lair",
    "Greater Spire Requires: Hive",
    "Queen's Nest Requires: Lair",
    "Evolution Chamber Requires: Hatchery",
    "Ultralisk Cavern Requires: Hive",
    "Defiler Mound Requires: Hive",
    "Spawning Pool Requires: Hatchery",
    "Spore Colony Requires: Evolution Chamber",
    "Sunken Colony Requires: Spawning Pool",
    "Carrier Attack: Build Interceptors",
    "Reaver Attack: Build Scarabs",
    "Nuclear Strike Requires: Armed Nuclear Silo",
    "Not Implemented",
    "mk",
    "Kills:",
    "Evolving (1)",
    "Upgrading (1)",
    "Upgrading (2)",
    "Evolving (2)",
    "Researching",
    "Developing",
    "Morphing (1)",
    "Building (1)",
    "Opening Warp Gate",
    "Morphing (2)",
    "Building (2)",
    "Building (3)",
    "Damage:",
    "Armor:",
    "Shields:",
    "Mining Delay:",
    "Production",
    "Unit Ptr:",
    "Current Order:",
    "Next Order:",
    "% Complete",
    "Order:",
    "Mutating (1)",
    "Adding On",
    "Opening Warp Rift (1)",
    "Summoning",
    "Interceptors (Count)",
    "Scarabs",
    "Nukes",
    "Spider Mines (Count)",
    "Next Level:",
    "Minerals:",
    "Vespene Gas:",
    "Depleted",
    "Mutating (2)",
    "Under Construction",
    "Opening Warp Rift (2)",
    "Cancel Morph (%s)",
    "Cancel Construction (%s)",
    "Cancel Warp (%s)",
    "Cancel Upgrade",
    "Cancel Research",
    "Cancel Morph",
    "Unload Unit (%s)",
    "Click: Select Unit",
    "Show Terrain in Minimap (Tab)",
    "Hide Terrain in Minimap (Tab)",
    "Diplomacy",
    "Messaging",
    "Game Menu (F10)",
    "Control Provided:",
    "Supplies Provided:",
    "Psi Provided:",
    "Total Control:",
    "Total Supplies:",
    "Total Psi:",
    "Control Used:",
    "Supplies Used:",
    "Psi Used:",
    "Control Max:",
    "Supplies Max:",
    "Psi Max:",
    "Parasite Detected",
    "Disabled (1)",
    "Disabled (2)",
    "Unpowered",
    "Detector",
    "Hallucination (Status)",
    "Units (1)",
    "Units (2)",
    "Resources",
    "Kills",
    "Score",
    "Units to go (1)",
    "Units to go (2)",
    "Resources to go",
    "Kills to go",
    "Score to go",
    "Nowhere to return to...can't return.",
    "Too many underlings...create more Overlords.",
    "Not enough supplies...build more Supply Depots.",
    "Not enough psi...build more Pylons.",
    "Underling limit exceeded.",
    "Supply limit exceeded.",
    "Psi limit exceeded.",
    "Not enough minerals...mine more minerals.",
    "Not enough Vespene gases....harvest more gas.",
    "You can't build next to minerals or geysers.",
    "An undetected unit is in the way.",
    "You can't build off the map.",
    "You can't build near the edge of the map.",
    "You can't build there.",
    "You must explore there first.",
    "You must currently be able to see the location.",
    "Could not build there, find a Vespene Geyser to build on.",
    "You must build on the Creep.",
    "You must build near a Pylon.",
    "Couldn't reach the building site.",
    "You can't land there.",
    "Not enough energy. (1)",
    "Not enough energy. (2)",
    "Not enough energy. (3)",
    "Nothing to harvest. Find a Mine or a Vespene Geyser.",
    "Nothing to harvest. Find a Mine, or build a Refinery at a Vespene Geyser.",
    "Nothing to harvest. Find a Mine, or build an Assimilator at a Vespene Geyser.",
    "Must target severely damaged Terran Command Center.",
    "Unit's waypoint list is full.",
    "Unable to add order.",
    "Running low on orders, your last order was not processed.",
    "Not enough life remaining.",
    "Vespene Geyser depleted.",
    "Invalid target. (1)",
    "Unable to target structure. (1)",
    "Must target units.",
    "Unable to attack target.",
    "Invalid target. (2)",
    "Must target mechanical units.",
    "Invalid target. (3)",
    "Must target damaged mechanical units or damaged complete buildings.",
    "Must target Terran units.",
    "Invalid target. (4)",
    "Must target non-robotic ground units.",
    "Must target ground.",
    "Target out of range.",
    "Target is too close.",
    "Can only pick up your own transportable units.",
    "Not enough room for unit.",
    "Must gather from a Mineral Field or Vespene Geyser.",
    "Morph an Extractor there first.",
    "Build a Refinery there first.",
    "Build an Assimilator there first.",
    "Must gather gases from your own geyser.",
    "Invalid target. (5)",
    "Invalid target. (6)",
    "Invalid target. (7)",
    "Units in stasis can't be targeted.",
    "Must target non-hovering ground units.",
    "Must target passable terrain.",
    "Die",
    "Fizzle",
    "Stop (Order)",
    "Guard",
    "Player Guard",
    "Turret Guard",
    "Bunker Guard",
    "Ignore",
    "Carrier Ignore",
    "Carrier Stop",
    "Reaver Stop",
    "Attack (Order)",
    "Attack Unit",
    "Attack Fixed Range",
    "Move Attack Unit",
    "Attack Tile",
    "Hover",
    "Attack Move",
    "Atk Move EP",
    "Harass Move",
    "AI Patrol",
    "Tower",
    "Vulture Mine",
    "Carrier Attack",
    "Carrier Attack Move",
    "Stay In Range",
    "Turret Attack",
    "Nothing",
    "Drone Start Build",
    "Drone Build",
    "Drone Attack Unit",
    "Infest Mine",
    "Build",
    "Build Protoss",
    "Pylon Build",
    "Construct Building",
    "Repair (Order)",
    "Place Add-On",
    "Build Add-On",
    "Train",
    "Zerg Birth",
    "Morph",
    "Zerg Building Morph",
    "Build Self",
    "Zerg Build Self",
    "Enter Nydus Canal",
    "Protoss Build Self",
    "Follow",
    "Carrier",
    "Carrier Fight",
    "Reaver",
    "Reaver Attack",
    "Reaver Fight",
    "Reaver Hold",
    "Train Fighter",
    "Strafe Unit",
    "Scarab (Order)",
    "Return",
    "Drone Land",
    "Building Land",
    "Building Lift Off",
    "Drone Lift Off",
    "Lift Off",
    "Research Tech",
    "Upgrade",
    "Larva",
    "Spawning Larva",
    "Harvest",
    "Harvest Gas",
    "Return Gas",
    "Harvest Minerals",
    "Return Minerals",
    "Enter Transport (Order)",
    "Pick Up",
    "Powerup",
    "Siege Mode (Order)",
    "Tank Mode (Order)",
    "Watch Target",
    "Initing Creep Growth",
    "Stopping Creep Growth",
    "Spread Creep",
    "Guardian Aspect (Order)",
    "Warping Archon",
    "Completing Archon Summon",
    "Hold Position (Order)",
    "Cloak (Order)",
    "Decloak (Order)",
    "Unload",
    "Move Unload",
    "Fire Yamato Gun",
    "Magna Pulse",
    "Burrow (Order)",
    "Burrowed",
    "Unburrow (Order)",
    "Cast Parasite",
    "Summon Broodlings",
    "EMP Shockwave (Order)",
    "Lockdown (Order)",
    "Nuke Wait",
    "Nuke Train",
    "Nuke Launch",
    "Nuke Paint",
    "Nuke Unit",
    "Nuke Ground",
    "Nuke Track",
    "Initializing Arbiter",
    "Cloaking nearby units",
    "Place Mine",
    "Right Click Action",
    "Left Click Action",
    "Sap Unit",
    "Sap Location",
    "Teleport",
    "Teleport to Location",
    "Place Scanner",
    "Scanner",
    "Defensive Matrix (Order)",
    "Reset Collision (1)",
    "Reset Collision (2)",
    "Patrol (Order)",
    "Computer AI",
    "Guard Post",
    "Rescue Passive",
    "Neutral",
    "Computer Return",
    "Initing Psi Provider",
    "Self Destructing",
    "Decaying creep",
    "Recharge Shields (Order)",
    "Shield Battery",
    "Rally Point",
    "CTF COP Init",
    "CTF COP",
    "Critter",
    "Hidden Gun",
    "Open Door",
    "Close Door",
    "Hide Trap",
    "Reveal Trap",
    "Enable Doodad",
    "Disable Doodad",
    "Warp In",
    "Hide and Suicide",
    "Fatal",
    "Nuclear launch detected.",
    "Terran Custom Level",
    "Terran Campaign Easy",
    "Terran Campaign Medium",
    "Terran Campaign Difficult",
    "Terran Campaign Area Town",
    "Terran 3 - Zerg Town",
    "Terran 5 - Terran Main Town",
    "Terran 5 - Terran Harvest Town",
    "Terran 6 - Air Attack Zerg",
    "Terran 6 - Ground Attack Zerg",
    "Terran 6 - Zerg Support Town",
    "Terran 7 - Bottom Zerg Town",
    "Terran 7 - Right Zerg Town",
    "Terran 7 - Middle Zerg Town",
    "Terran 8 - Confederate Town",
    "Terran 9 - Light Attack",
    "Terran 9 - Heavy Attack",
    "Terran 10 - Confederate Towns",
    "Terran 11 - Zerg Town",
    "Terran 11 - Lower Protoss Town",
    "Terran 11 - Upper Protoss Town",
    "Terran 12 - Nuke Town",
    "Terran 12 - Phoenix Town",
    "Terran 12 - Tank Town",
    "Protoss Custom Level",
    "Protoss Campaign Easy",
    "Protoss Campaign Medium",
    "Protoss Campaign Difficult",
    "Protoss Campaign Area Town",
    "Protoss 1 - Zerg Town",
    "Protoss 2 - Zerg Town",
    "Protoss 3 - Unused",
    "Protoss 3 - Air Zerg Town",
    "Protoss 3 - Ground Zerg Town",
    "Protoss 4 - Zerg Town",
    "Protoss 4 - Zerg Town (unused?)",
    "Protoss 5 - Zerg Town Island",
    "Protoss 5 - Zerg Town Base",
    "Protoss 6 - incomplete",
    "Protoss 7 - Left Protoss Town",
    "Protoss 7 - Right Protoss Town",
    "Protoss 7 - Shrine Protoss",
    "Protoss 8 - Left Protoss Town",
    "Protoss 8 - Right Protoss Town",
    "Protoss 8 - Protoss Defenders",
    "Protoss 9 - Ground Zerg",
    "Protoss 9 - Air Zerg",
    "Protoss 9 - Spell Zerg",
    "Protoss 10 - Mini-Towns",
    "Protoss 10 - Mini-Town Master",
    "Protoss 10 - Overmind Defenders",
    "Zerg Custom Level",
    "Zerg Campaign Easy",
    "Zerg Campaign Medium",
    "Zerg Campaign Difficult",
    "Zerg Campaign Area Town",
    "Zerg 1 - Terran Town",
    "Zerg 2 - Protoss Town",
    "Zerg 3 - Terran Town",
    "Zerg 4 - Right Terran Town",
    "Zerg 4 - Lower Terran Town",
    "Zerg 5 - incomplete",
    "Zerg 6 - Protoss Town",
    "Zerg 7 - Ground Town",
    "Zerg 7 - Air Town",
    "Zerg 7 - Support Town",
    "Zerg 8 - Scout Town",
    "Zerg 8 - Templar Town",
    "Zerg 9 - Teal Protoss",
    "Zerg 9 - Left Yellow Protoss",
    "Zerg 9 - Right Yellow Protoss",
    "Zerg 9 - Left Orange Protoss",
    "Zerg 9 - Right Orange Protoss",
    "Zerg 10 - Left Teal (Attack)",
    "Zerg 10 - Right Teal (Support)",
    "Zerg 10 - Left Yellow (Support)",
    "Zerg 10 - Right Yellow (Attack)",
    "Zerg 10 - Red Protoss",
    "Set a Default Staging Area",
    "Send All Units on Strategic Suicide Missions",
    "Send All Units on Random Suicide Missions",
    "Set Player to Enemy",
    "Set Player to Ally",
    "Move Dark Templars to Region",
    "Switch Computer Player to Rescue Passive",
    "Enter Closest Bunker",
    "Value This Area Higher",
    "Clear Previous Combat Data",
    "Debug Script 1 (general)",
    "Debug Script 2 (general)",
    "Debug Script 3 (general)",
    "Debug Script 4 (general)",
    "Debug Script 5 (general)",
    "Debug Script 1 (location)",
    "Debug Script 2 (location)",
    "Debug Script 3 (location)",
    "Debug Script 4 (location)",
    "Debug Script 5 (location)",
    "Structure",
    "Structure Wall",
    "Cliff (Badlands)",
    "High Dirt (Badlands)",
    "Grass (Badlands)",
    "High Grass (Badlands)",
    "Dirt (Badlands)",
    "Rocky Ground (Badlands)",
    "Asphalt",
    "Water (Badlands)",
    "Coastal Cliff",
    "Jungle",
    "High Jungle",
    "Ruins (Jungle)",
    "High Ruins",
    "Temple Wall",
    "High Temple Wall",
    "Dark Platform",
    "High Plating",
    "Plating (Space)",
    "Platform",
    "Platform Wall",
    "Low Platform",
    "Low Platform Wall",
    "Rusty Pit Wall",
    "Rusty Pit",
    "Solar Array",
    "Dirt (Ashworld)",
    "High Dirt (Ashworld)",
    "Shale",
    "Cliff (Ashworld)",
    "Floor",
    "Wall",
    "Substructure",
    "Substructure Wall",
    "Plating (Installation)",
    "Bridges (1)",
    "Bridges (2)",
    "Elevated Catwalk Ramps",
    "Bridges (3)",
    "Tar",
    "Tar Cliff",
    "Dirt (Desert)",
    "Dried Mud",
    "Sand Dunes",
    "Rocky Ground (Desert)",
    "Crags",
    "Sandy Sunken Pit",
    "Compound",
    "High Dirt (Desert)",
    "High Sand Dunes",
    "High Crags",
    "High Sandy Sunken Pit",
    "High Compound",
    "Water (Ice World)",
    "Snow",
    "Moguls",
    "Dirt (Ice World)",
    "Rocky Snow",
    "Grass (Ice World)",
    "Ice",
    "Outpost",
    "High Snow",
    "High Dirt (Ice World)",
    "High Grass (Ice World)",
    "High Ice",
    "High Outpost",
    "Water (Twilight)",
    "Dirt (Twilight)",
    "Mud",
    "Crushed Rock",
    "Crevices",
    "Flagstones",
    "Sunken Ground",
    "Basilica",
    "High Dirt (Twilight)",
    "High Crushed Rock",
    "High Flagstones",
    "High Sunken Ground",
    "High Basilica",
    "Terran Campaign Insane",
    "Protoss Campaign Insane",
    "Zerg Campaign Insane",
    "Terran 1 - Electronic Distribution",
    "Terran 2 - Electronic Distribution",
    "Terran 3 - Electronic Distribution",
    "Terran 1 - Shareware",
    "Terran 2 - Shareware",
    "Terran 3 - Shareware",
    "Terran 4 - Shareware",
    "Terran 5 - Shareware",
    "Halo Rockets",
    "Corrosive Acid",
    "Subterranean Spines",
    "Neutron Flare",
    "Mind Control (Weapon)",
    "Healing",
    "Restoration (Tech)",
    "Optical Flare (Tech)",
    "Research Restoration",
    "Research Optical Flare",
    "Heal",
    "Restoration (Cast)",
    "Optical Flare (Cast)",
    "Restoration: Research at Academy",
    "Optical Flare: Research at Academy",
    "Lurker Aspect",
    "Evolve Lurker Aspect",
    "Lurker Aspect: Requires Lair",
    "Disruption Web (Tech)",
    "Mind Control (Tech)",
    "Dark Archon Meld (Tech)",
    "Feedback (Tech)",
    "Maelstrom (Tech)",
    "Develop Disruption Web",
    "Develop Mind Control",
    "Develop Feedback",
    "Develop Maelstrom",
    "Dark Archon Meld (Cast)",
    "Disruption Web (Cast)",
    "Mind Control (Cast)",
    "Feedback (Cast)",
    "Maelstrom (Cast)",
    "Disruption Web: Develop at Fleet Beacon",
    "Mind Control: Research at Templar Archives",
    "Dark Archon Meld: Research at Templar Archives",
    "Dark Archon Warp: Select 2 or more Dark Templars",
    "Feedback: No requirement",
    "Maelstrom: Develop at Templar Archives",
    "Caduceus Reactor",
    "Charon Booster",
    "Anabolic Synthesis",
    "Chitinous Plating",
    "Argus Jewel",
    "Argus Talisman",
    "Research Caduceus Reactor",
    "Research Charon Booster",
    "Evolve Anabolic Synthesis",
    "Evolve Chitinous Plating",
    "Develop Argus Jewel",
    "Develop Argus Talisman",
    "Research Charon Booster: Requires Armory",
    "Devourer Aspect",
    "Morph to Lurker",
    "Train Medic",
    "Build Valkyrie",
    "Warp in Corsair",
    "Warp in Dark Templar",
    "Medic Requires: Academy",
    "Valkyrie Requires: Attached Control Tower Armory",
    "Dark Templar Requires: Templar Archives",
    "Devourer Aspect Requires: Greater Spire",
    "Lurker Aspect: Evolve at Hydralisk Den",
    "Blind",
    "Acid Spores",
    "per rocket",
    "Recruit (Rank)",
    "Private (Marine Rank)",
    "Private (SCV Rank)",
    "1st Lieutenant (Rank)",
    "Corporal (Rank)",
    "Specialist (Rank)",
    "Sergeant (Rank)",
    "First Sergeant (Goliath Rank)",
    "Master Sergeant (Rank)",
    "Warrant Officer (Rank)",
    "Captain (Rank)",
    "Major (Rank)",
    "First Sergeant (Gui Montag Rank)",
    "Sergeant Major (Rank)",
    "Colonel (Rank)",
    "Commodore (Rank)",
    "Lt Commander (Rank)",
    "Marshal (Rank)",
    "Lieutenant (Rank)",
    "General (Rank)",
    "Captain Raynor (Rank)",
    "General Duke (Rank)",
    "Admiral (Rank)",
    "Must target injured non-mechanical ground units",
    "Invalid target. (8)",
    "Must target enemy units",
    "Must target non-mechanical units.",
    "Unable to target structure. (2)",
    "Must target units with energy.",
    "Medic",
    "Medic Heal",
    "Restoration (Order)",
    "Cast Disruption Web",
    "Mind Control (Order)",
    "Warping Dark Archon",
    "Cast Feedback",
    "Cast Optical Flare",
    "Cast Shockwave",
    "Heal Move",
    "Medic Hold Position",
    "Junk Yard Dog",
    "Terran Expansion Custom Level",
    "Protoss Expansion Custom Level",
    "Zerg Expansion Custom Level",
    "Brood Wars Protoss 1 - Town A",
    "Brood Wars Protoss 1 - Town B",
    "Brood Wars Protoss 1 - Town C",
    "Brood Wars Protoss 1 - Town D",
    "Brood Wars Protoss 1 - Town E",
    "Brood Wars Protoss 1 - Town F",
    "Brood Wars Protoss 2 - Town A",
    "Brood Wars Protoss 2 - Town B",
    "Brood Wars Protoss 2 - Town C",
    "Brood Wars Protoss 2 - Town D",
    "Brood Wars Protoss 2 - Town E",
    "Brood Wars Protoss 2 - Town F",
    "Brood Wars Protoss 3 - Town A",
    "Brood Wars Protoss 3 - Town B",
    "Brood Wars Protoss 3 - Town C",
    "Brood Wars Protoss 3 - Town D",
    "Brood Wars Protoss 3 - Town E",
    "Brood Wars Protoss 3 - Town F",
    "Brood Wars Protoss 4 - Town A",
    "Brood Wars Protoss 4 - Town B",
    "Brood Wars Protoss 4 - Town C",
    "Brood Wars Protoss 4 - Town D",
    "Brood Wars Protoss 4 - Town E",
    "Brood Wars Protoss 4 - Town F",
    "Brood Wars Protoss 5 - Town A",
    "Brood Wars Protoss 5 - Town B",
    "Brood Wars Protoss 5 - Town C",
    "Brood Wars Protoss 5 - Town D",
    "Brood Wars Protoss 5 - Town E",
    "Brood Wars Protoss 5 - Town F",
    "Brood Wars Protoss 6 - Town A",
    "Brood Wars Protoss 6 - Town B",
    "Brood Wars Protoss 6 - Town C",
    "Brood Wars Protoss 6 - Town D",
    "Brood Wars Protoss 6 - Town E",
    "Brood Wars Protoss 6 - Town F",
    "Brood Wars Protoss 7 - Town A",
    "Brood Wars Protoss 7 - Town B",
    "Brood Wars Protoss 7 - Town C",
    "Brood Wars Protoss 7 - Town D",
    "Brood Wars Protoss 7 - Town E",
    "Brood Wars Protoss 7 - Town F",
    "Brood Wars Protoss 8 - Town A",
    "Brood Wars Protoss 8 - Town B",
    "Brood Wars Protoss 8 - Town C",
    "Brood Wars Protoss 8 - Town D",
    "Brood Wars Protoss 8 - Town E",
    "Brood Wars Protoss 8 - Town F",
    "Brood Wars Terran 1 - Town A",
    "Brood Wars Terran 1 - Town B",
    "Brood Wars Terran 1 - Town C",
    "Brood Wars Terran 1 - Town D",
    "Brood Wars Terran 1 - Town E",
    "Brood Wars Terran 1 - Town F",
    "Brood Wars Terran 2 - Town A",
    "Brood Wars Terran 2 - Town B",
    "Brood Wars Terran 2 - Town C",
    "Brood Wars Terran 2 - Town D",
    "Brood Wars Terran 2 - Town E",
    "Brood Wars Terran 2 - Town F",
    "Brood Wars Terran 3 - Town A",
    "Brood Wars Terran 3 - Town B",
    "Brood Wars Terran 3 - Town C",
    "Brood Wars Terran 3 - Town D",
    "Brood Wars Terran 3 - Town E",
    "Brood Wars Terran 3 - Town F",
    "Brood Wars Terran 4 - Town A",
    "Brood Wars Terran 4 - Town B",
    "Brood Wars Terran 4 - Town C",
    "Brood Wars Terran 4 - Town D",
    "Brood Wars Terran 4 - Town E",
    "Brood Wars Terran 4 - Town F",
    "Brood Wars Terran 5 - Town A",
    "Brood Wars Terran 5 - Town B",
    "Brood Wars Terran 5 - Town C",
    "Brood Wars Terran 5 - Town D",
    "Brood Wars Terran 5 - Town E",
    "Brood Wars Terran 5 - Town F",
    "Brood Wars Terran 6 - Town A",
    "Brood Wars Terran 6 - Town B",
    "Brood Wars Terran 6 - Town C",
    "Brood Wars Terran 6 - Town D",
    "Brood Wars Terran 6 - Town E",
    "Brood Wars Terran 6 - Town F",
    "Brood Wars Terran 7 - Town A",
    "Brood Wars Terran 7 - Town B",
    "Brood Wars Terran 7 - Town C",
    "Brood Wars Terran 7 - Town D",
    "Brood Wars Terran 7 - Town E",
    "Brood Wars Terran 7 - Town F",
    "Brood Wars Terran 8 - Town A",
    "Brood Wars Terran 8 - Town B",
    "Brood Wars Terran 8 - Town C",
    "Brood Wars Terran 8 - Town D",
    "Brood Wars Terran 8 - Town E",
    "Brood Wars Terran 8 - Town F",
    "Brood Wars Zerg 1 - Town A",
    "Brood Wars Zerg 1 - Town B",
    "Brood Wars Zerg 1 - Town C",
    "Brood Wars Zerg 1 - Town D",
    "Brood Wars Zerg 1 - Town E",
    "Brood Wars Zerg 1 - Town F",
    "Brood Wars Zerg 2 - Town A",
    "Brood Wars Zerg 2 - Town B",
    "Brood Wars Zerg 2 - Town C",
    "Brood Wars Zerg 2 - Town D",
    "Brood Wars Zerg 2 - Town E",
    "Brood Wars Zerg 2 - Town F",
    "Brood Wars Zerg 3 - Town A",
    "Brood Wars Zerg 3 - Town B",
    "Brood Wars Zerg 3 - Town C",
    "Brood Wars Zerg 3 - Town D",
    "Brood Wars Zerg 3 - Town E",
    "Brood Wars Zerg 3 - Town F",
    "Brood Wars Zerg 4 - Town A",
    "Brood Wars Zerg 4 - Town B",
    "Brood Wars Zerg 4 - Town C",
    "Brood Wars Zerg 4 - Town D",
    "Brood Wars Zerg 4 - Town E",
    "Brood Wars Zerg 4 - Town F",
    "Brood Wars Zerg 5 - Town A",
    "Brood Wars Zerg 5 - Town B",
    "Brood Wars Zerg 5 - Town C",
    "Brood Wars Zerg 5 - Town D",
    "Brood Wars Zerg 5 - Town E",
    "Brood Wars Zerg 5 - Town F",
    "Brood Wars Zerg 6 - Town A",
    "Brood Wars Zerg 6 - Town B",
    "Brood Wars Zerg 6 - Town C",
    "Brood Wars Zerg 6 - Town D",
    "Brood Wars Zerg 6 - Town E",
    "Brood Wars Zerg 6 - Town F",
    "Brood Wars Zerg 7 - Town A",
    "Brood Wars Zerg 7 - Town B",
    "Brood Wars Zerg 7 - Town C",
    "Brood Wars Zerg 7 - Town D",
    "Brood Wars Zerg 7 - Town E",
    "Brood Wars Zerg 7 - Town F",
    "Brood Wars Zerg 8 - Town A",
    "Brood Wars Zerg 8 - Town B",
    "Brood Wars Zerg 8 - Town C",
    "Brood Wars Zerg 8 - Town D",
    "Brood Wars Zerg 8 - Town E",
    "Brood Wars Zerg 8 - Town F",
    "Brood Wars Zerg 9 - Town A",
    "Brood Wars Zerg 9 - Town B",
    "Brood Wars Zerg 9 - Town C",
    "Brood Wars Zerg 9 - Town D",
    "Brood Wars Zerg 9 - Town E",
    "Brood Wars Zerg 9 - Town F",
    "Brood Wars Zerg 10 - Town A",
    "Brood Wars Zerg 10 - Town B",
    "Brood Wars Zerg 10 - Town C",
    "Brood Wars Zerg 10 - Town D",
    "Brood Wars Zerg 10 - Town E",
    "Brood Wars Zerg 10 - Town F",
    "Expansion Zerg Campaign Easy",
    "Expansion Zerg Campaign Medium",
    "Expansion Zerg Campaign Difficult",
    "Expansion Zerg Campaign Area Town",
    "Expansion Protoss Campaign Easy",
    "Expansion Protoss Campaign Medium",
    "Expansion Protoss Campaign Difficult",
    "Expansion Protoss Campaign Area Town",
    "Expansion Terran Campaign Easy",
    "Expansion Terran Campaign Medium",
    "Expansion Terran Campaign Difficult",
    "Expansion Terran Campaign Area Town",
    "Expansion Terran Campaign Insane",
    "Expansion Protoss Campaign Insane",
    "Expansion Zerg Campaign Insane",
    "Set Generic Command Target",
    "Make These Units Patrol",
    "Enter Transport (AIScript)",
    "Exit Transport",
    "Turn ON Shared Vision for Player 1",
    "Turn ON Shared Vision for Player 2",
    "Turn ON Shared Vision for Player 3",
    "Turn ON Shared Vision for Player 4",
    "Turn ON Shared Vision for Player 5",
    "Turn ON Shared Vision for Player 6",
    "Turn ON Shared Vision for Player 7",
    "Turn ON Shared Vision for Player 8",
    "Turn OFF Shared Vision for Player 1",
    "Turn OFF Shared Vision for Player 2",
    "Turn OFF Shared Vision for Player 3",
    "Turn OFF Shared Vision for Player 4",
    "Turn OFF Shared Vision for Player 5",
    "Turn OFF Shared Vision for Player 6",
    "Turn OFF Shared Vision for Player 7",
    "Turn OFF Shared Vision for Player 8",
    "AI Nuke Here",
    "AI Harass Here",
    "Set Unit Order To: Junk Yard Dog",
    "View Players",
    "Speed Up",
    "Play",
    "Pause",
    "Slow Down",
    "Replay Progress",
    "Paused",
    "Unlimited",
]

DefRankDict: dict[str, int] = {
    "Recruit": 0,
    "Private (Marine)": 1,
    "Private (SCV)": 2,
    "1st Lieutenant": 3,
    "Corporal": 4,
    "Specialist": 5,
    "Sergeant": 6,
    "First Sergeant (Goliath)": 7,
    "Master Sergeant": 8,
    "Warrant Officer": 9,
    "Captain": 10,
    "Major": 11,
    "First Sergeant (Gui Montag)": 12,
    "Sergeant Major": 13,
    "Colonel": 14,
    "Commodore": 15,
    "Lt Commander": 16,
    "Marshal": 17,
    "Lieutenant": 18,
    "General": 19,
    "Captain Raynor": 20,
    "General Duke": 21,
    "Admiral": 22,
    "Must target injured non-mechanical ground units": 23,
    "Invalid target.": 24,
    "Must target enemy units": 25,
    "Must target non-mechanical units.": 26,
    "Unable to target structure.": 27,
    "Must target units with energy.": 28,
    "Medic": 29,
    "Medic Heal": 30,
    "Restoration": 31,
    "Cast Disruption Web": 32,
    "Mind Control": 33,
    "Warping Dark Archon": 34,
    "Cast Feedback": 35,
    "Cast Optical Flare": 36,
    "Cast Shockwave": 37,
    "Heal Move": 38,
    "Medic Hold Position": 39,
    "Junk Yard Dog": 40,
    "Terran Expansion Custom Level": 41,
    "Protoss Expansion Custom Level": 42,
    "Zerg Expansion Custom Level": 43,
    "Brood Wars Protoss 1 - Town A": 44,
    "Brood Wars Protoss 1 - Town B": 45,
    "Brood Wars Protoss 1 - Town C": 46,
    "Brood Wars Protoss 1 - Town D": 47,
    "Brood Wars Protoss 1 - Town E": 48,
    "Brood Wars Protoss 1 - Town F": 49,
    "Brood Wars Protoss 2 - Town A": 50,
    "Brood Wars Protoss 2 - Town B": 51,
    "Brood Wars Protoss 2 - Town C": 52,
    "Brood Wars Protoss 2 - Town D": 53,
    "Brood Wars Protoss 2 - Town E": 54,
    "Brood Wars Protoss 2 - Town F": 55,
    "Brood Wars Protoss 3 - Town A": 56,
    "Brood Wars Protoss 3 - Town B": 57,
    "Brood Wars Protoss 3 - Town C": 58,
    "Brood Wars Protoss 3 - Town D": 59,
    "Brood Wars Protoss 3 - Town E": 60,
    "Brood Wars Protoss 3 - Town F": 61,
    "Brood Wars Protoss 4 - Town A": 62,
    "Brood Wars Protoss 4 - Town B": 63,
    "Brood Wars Protoss 4 - Town C": 64,
    "Brood Wars Protoss 4 - Town D": 65,
    "Brood Wars Protoss 4 - Town E": 66,
    "Brood Wars Protoss 4 - Town F": 67,
    "Brood Wars Protoss 5 - Town A": 68,
    "Brood Wars Protoss 5 - Town B": 69,
    "Brood Wars Protoss 5 - Town C": 70,
    "Brood Wars Protoss 5 - Town D": 71,
    "Brood Wars Protoss 5 - Town E": 72,
    "Brood Wars Protoss 5 - Town F": 73,
    "Brood Wars Protoss 6 - Town A": 74,
    "Brood Wars Protoss 6 - Town B": 75,
    "Brood Wars Protoss 6 - Town C": 76,
    "Brood Wars Protoss 6 - Town D": 77,
    "Brood Wars Protoss 6 - Town E": 78,
    "Brood Wars Protoss 6 - Town F": 79,
    "Brood Wars Protoss 7 - Town A": 80,
    "Brood Wars Protoss 7 - Town B": 81,
    "Brood Wars Protoss 7 - Town C": 82,
    "Brood Wars Protoss 7 - Town D": 83,
    "Brood Wars Protoss 7 - Town E": 84,
    "Brood Wars Protoss 7 - Town F": 85,
    "Brood Wars Protoss 8 - Town A": 86,
    "Brood Wars Protoss 8 - Town B": 87,
    "Brood Wars Protoss 8 - Town C": 88,
    "Brood Wars Protoss 8 - Town D": 89,
    "Brood Wars Protoss 8 - Town E": 90,
    "Brood Wars Protoss 8 - Town F": 91,
    "Brood Wars Terran 1 - Town A": 92,
    "Brood Wars Terran 1 - Town B": 93,
    "Brood Wars Terran 1 - Town C": 94,
    "Brood Wars Terran 1 - Town D": 95,
    "Brood Wars Terran 1 - Town E": 96,
    "Brood Wars Terran 1 - Town F": 97,
    "Brood Wars Terran 2 - Town A": 98,
    "Brood Wars Terran 2 - Town B": 99,
    "Brood Wars Terran 2 - Town C": 100,
    "Brood Wars Terran 2 - Town D": 101,
    "Brood Wars Terran 2 - Town E": 102,
    "Brood Wars Terran 2 - Town F": 103,
    "Brood Wars Terran 3 - Town A": 104,
    "Brood Wars Terran 3 - Town B": 105,
    "Brood Wars Terran 3 - Town C": 106,
    "Brood Wars Terran 3 - Town D": 107,
    "Brood Wars Terran 3 - Town E": 108,
    "Brood Wars Terran 3 - Town F": 109,
    "Brood Wars Terran 4 - Town A": 110,
    "Brood Wars Terran 4 - Town B": 111,
    "Brood Wars Terran 4 - Town C": 112,
    "Brood Wars Terran 4 - Town D": 113,
    "Brood Wars Terran 4 - Town E": 114,
    "Brood Wars Terran 4 - Town F": 115,
    "Brood Wars Terran 5 - Town A": 116,
    "Brood Wars Terran 5 - Town B": 117,
    "Brood Wars Terran 5 - Town C": 118,
    "Brood Wars Terran 5 - Town D": 119,
    "Brood Wars Terran 5 - Town E": 120,
    "Brood Wars Terran 5 - Town F": 121,
    "Brood Wars Terran 6 - Town A": 122,
    "Brood Wars Terran 6 - Town B": 123,
    "Brood Wars Terran 6 - Town C": 124,
    "Brood Wars Terran 6 - Town D": 125,
    "Brood Wars Terran 6 - Town E": 126,
    "Brood Wars Terran 6 - Town F": 127,
    "Brood Wars Terran 7 - Town A": 128,
    "Brood Wars Terran 7 - Town B": 129,
    "Brood Wars Terran 7 - Town C": 130,
    "Brood Wars Terran 7 - Town D": 131,
    "Brood Wars Terran 7 - Town E": 132,
    "Brood Wars Terran 7 - Town F": 133,
    "Brood Wars Terran 8 - Town A": 134,
    "Brood Wars Terran 8 - Town B": 135,
    "Brood Wars Terran 8 - Town C": 136,
    "Brood Wars Terran 8 - Town D": 137,
    "Brood Wars Terran 8 - Town E": 138,
    "Brood Wars Terran 8 - Town F": 139,
    "Brood Wars Zerg 1 - Town A": 140,
    "Brood Wars Zerg 1 - Town B": 141,
    "Brood Wars Zerg 1 - Town C": 142,
    "Brood Wars Zerg 1 - Town D": 143,
    "Brood Wars Zerg 1 - Town E": 144,
    "Brood Wars Zerg 1 - Town F": 145,
    "Brood Wars Zerg 2 - Town A": 146,
    "Brood Wars Zerg 2 - Town B": 147,
    "Brood Wars Zerg 2 - Town C": 148,
    "Brood Wars Zerg 2 - Town D": 149,
    "Brood Wars Zerg 2 - Town E": 150,
    "Brood Wars Zerg 2 - Town F": 151,
    "Brood Wars Zerg 3 - Town A": 152,
    "Brood Wars Zerg 3 - Town B": 153,
    "Brood Wars Zerg 3 - Town C": 154,
    "Brood Wars Zerg 3 - Town D": 155,
    "Brood Wars Zerg 3 - Town E": 156,
    "Brood Wars Zerg 3 - Town F": 157,
    "Brood Wars Zerg 4 - Town A": 158,
    "Brood Wars Zerg 4 - Town B": 159,
    "Brood Wars Zerg 4 - Town C": 160,
    "Brood Wars Zerg 4 - Town D": 161,
    "Brood Wars Zerg 4 - Town E": 162,
    "Brood Wars Zerg 4 - Town F": 163,
    "Brood Wars Zerg 5 - Town A": 164,
    "Brood Wars Zerg 5 - Town B": 165,
    "Brood Wars Zerg 5 - Town C": 166,
    "Brood Wars Zerg 5 - Town D": 167,
    "Brood Wars Zerg 5 - Town E": 168,
    "Brood Wars Zerg 5 - Town F": 169,
    "Brood Wars Zerg 6 - Town A": 170,
    "Brood Wars Zerg 6 - Town B": 171,
    "Brood Wars Zerg 6 - Town C": 172,
    "Brood Wars Zerg 6 - Town D": 173,
    "Brood Wars Zerg 6 - Town E": 174,
    "Brood Wars Zerg 6 - Town F": 175,
    "Brood Wars Zerg 7 - Town A": 176,
    "Brood Wars Zerg 7 - Town B": 177,
    "Brood Wars Zerg 7 - Town C": 178,
    "Brood Wars Zerg 7 - Town D": 179,
    "Brood Wars Zerg 7 - Town E": 180,
    "Brood Wars Zerg 7 - Town F": 181,
    "Brood Wars Zerg 8 - Town A": 182,
    "Brood Wars Zerg 8 - Town B": 183,
    "Brood Wars Zerg 8 - Town C": 184,
    "Brood Wars Zerg 8 - Town D": 185,
    "Brood Wars Zerg 8 - Town E": 186,
    "Brood Wars Zerg 8 - Town F": 187,
    "Brood Wars Zerg 9 - Town A": 188,
    "Brood Wars Zerg 9 - Town B": 189,
    "Brood Wars Zerg 9 - Town C": 190,
    "Brood Wars Zerg 9 - Town D": 191,
    "Brood Wars Zerg 9 - Town E": 192,
    "Brood Wars Zerg 9 - Town F": 193,
    "Brood Wars Zerg 10 - Town A": 194,
    "Brood Wars Zerg 10 - Town B": 195,
    "Brood Wars Zerg 10 - Town C": 196,
    "Brood Wars Zerg 10 - Town D": 197,
    "Brood Wars Zerg 10 - Town E": 198,
    "Brood Wars Zerg 10 - Town F": 199,
    "Expansion Zerg Campaign Easy": 200,
    "Expansion Zerg Campaign Medium": 201,
    "Expansion Zerg Campaign Difficult": 202,
    "Expansion Zerg Campaign Area Town": 203,
    "Expansion Protoss Campaign Easy": 204,
    "Expansion Protoss Campaign Medium": 205,
    "Expansion Protoss Campaign Difficult": 206,
    "Expansion Protoss Campaign Area Town": 207,
    "Expansion Terran Campaign Easy": 208,
    "Expansion Terran Campaign Medium": 209,
    "Expansion Terran Campaign Difficult": 210,
    "Expansion Terran Campaign Area Town": 211,
    "Expansion Terran Campaign Insane": 212,
    "Expansion Protoss Campaign Insane": 213,
    "Expansion Zerg Campaign Insane": 214,
    "Set Generic Command Target": 215,
    "Make These Units Patrol": 216,
    "Enter Transport (AIScript)": 217,
    "Exit Transport": 218,
    "Turn ON Shared Vision for Player 1": 219,
    "Turn ON Shared Vision for Player 2": 220,
    "Turn ON Shared Vision for Player 3": 221,
    "Turn ON Shared Vision for Player 4": 222,
    "Turn ON Shared Vision for Player 5": 223,
    "Turn ON Shared Vision for Player 6": 224,
    "Turn ON Shared Vision for Player 7": 225,
    "Turn ON Shared Vision for Player 8": 226,
    "Turn OFF Shared Vision for Player 1": 227,
    "Turn OFF Shared Vision for Player 2": 228,
    "Turn OFF Shared Vision for Player 3": 229,
    "Turn OFF Shared Vision for Player 4": 230,
    "Turn OFF Shared Vision for Player 5": 231,
    "Turn OFF Shared Vision for Player 6": 232,
    "Turn OFF Shared Vision for Player 7": 233,
    "Turn OFF Shared Vision for Player 8": 234,
    "AI Nuke Here": 235,
    "AI Harass Here": 236,
    "Set Unit Order To: Junk Yard Dog": 237,
    "View Players": 238,
    "Speed Up": 239,
    "Play": 240,
    "Pause": 241,
    "Slow Down": 242,
    "Replay Progress": 243,
    "Paused": 244,
    "Unlimited": 245,
}

DefaultRank: TypeAlias = Literal[
    "Recruit",
    "Private (Marine)",
    "Private (SCV)",
    "1st Lieutenant",
    "Corporal",
    "Specialist",
    "Sergeant",
    "First Sergeant (Goliath)",
    "Master Sergeant",
    "Warrant Officer",
    "Captain",
    "Major",
    "First Sergeant (Gui Montag)",
    "Sergeant Major",
    "Colonel",
    "Commodore",
    "Lt Commander",
    "Marshal",
    "Lieutenant",
    "General",
    "Captain Raynor",
    "General Duke",
    "Admiral",
    "Must target injured non-mechanical ground units",
    "Invalid target.",
    "Must target enemy units",
    "Must target non-mechanical units.",
    "Unable to target structure.",
    "Must target units with energy.",
    "Medic",
    "Medic Heal",
    "Restoration",
    "Cast Disruption Web",
    "Mind Control",
    "Warping Dark Archon",
    "Cast Feedback",
    "Cast Optical Flare",
    "Cast Shockwave",
    "Heal Move",
    "Medic Hold Position",
    "Junk Yard Dog",
    "Terran Expansion Custom Level",
    "Protoss Expansion Custom Level",
    "Zerg Expansion Custom Level",
    "Brood Wars Protoss 1 - Town A",
    "Brood Wars Protoss 1 - Town B",
    "Brood Wars Protoss 1 - Town C",
    "Brood Wars Protoss 1 - Town D",
    "Brood Wars Protoss 1 - Town E",
    "Brood Wars Protoss 1 - Town F",
    "Brood Wars Protoss 2 - Town A",
    "Brood Wars Protoss 2 - Town B",
    "Brood Wars Protoss 2 - Town C",
    "Brood Wars Protoss 2 - Town D",
    "Brood Wars Protoss 2 - Town E",
    "Brood Wars Protoss 2 - Town F",
    "Brood Wars Protoss 3 - Town A",
    "Brood Wars Protoss 3 - Town B",
    "Brood Wars Protoss 3 - Town C",
    "Brood Wars Protoss 3 - Town D",
    "Brood Wars Protoss 3 - Town E",
    "Brood Wars Protoss 3 - Town F",
    "Brood Wars Protoss 4 - Town A",
    "Brood Wars Protoss 4 - Town B",
    "Brood Wars Protoss 4 - Town C",
    "Brood Wars Protoss 4 - Town D",
    "Brood Wars Protoss 4 - Town E",
    "Brood Wars Protoss 4 - Town F",
    "Brood Wars Protoss 5 - Town A",
    "Brood Wars Protoss 5 - Town B",
    "Brood Wars Protoss 5 - Town C",
    "Brood Wars Protoss 5 - Town D",
    "Brood Wars Protoss 5 - Town E",
    "Brood Wars Protoss 5 - Town F",
    "Brood Wars Protoss 6 - Town A",
    "Brood Wars Protoss 6 - Town B",
    "Brood Wars Protoss 6 - Town C",
    "Brood Wars Protoss 6 - Town D",
    "Brood Wars Protoss 6 - Town E",
    "Brood Wars Protoss 6 - Town F",
    "Brood Wars Protoss 7 - Town A",
    "Brood Wars Protoss 7 - Town B",
    "Brood Wars Protoss 7 - Town C",
    "Brood Wars Protoss 7 - Town D",
    "Brood Wars Protoss 7 - Town E",
    "Brood Wars Protoss 7 - Town F",
    "Brood Wars Protoss 8 - Town A",
    "Brood Wars Protoss 8 - Town B",
    "Brood Wars Protoss 8 - Town C",
    "Brood Wars Protoss 8 - Town D",
    "Brood Wars Protoss 8 - Town E",
    "Brood Wars Protoss 8 - Town F",
    "Brood Wars Terran 1 - Town A",
    "Brood Wars Terran 1 - Town B",
    "Brood Wars Terran 1 - Town C",
    "Brood Wars Terran 1 - Town D",
    "Brood Wars Terran 1 - Town E",
    "Brood Wars Terran 1 - Town F",
    "Brood Wars Terran 2 - Town A",
    "Brood Wars Terran 2 - Town B",
    "Brood Wars Terran 2 - Town C",
    "Brood Wars Terran 2 - Town D",
    "Brood Wars Terran 2 - Town E",
    "Brood Wars Terran 2 - Town F",
    "Brood Wars Terran 3 - Town A",
    "Brood Wars Terran 3 - Town B",
    "Brood Wars Terran 3 - Town C",
    "Brood Wars Terran 3 - Town D",
    "Brood Wars Terran 3 - Town E",
    "Brood Wars Terran 3 - Town F",
    "Brood Wars Terran 4 - Town A",
    "Brood Wars Terran 4 - Town B",
    "Brood Wars Terran 4 - Town C",
    "Brood Wars Terran 4 - Town D",
    "Brood Wars Terran 4 - Town E",
    "Brood Wars Terran 4 - Town F",
    "Brood Wars Terran 5 - Town A",
    "Brood Wars Terran 5 - Town B",
    "Brood Wars Terran 5 - Town C",
    "Brood Wars Terran 5 - Town D",
    "Brood Wars Terran 5 - Town E",
    "Brood Wars Terran 5 - Town F",
    "Brood Wars Terran 6 - Town A",
    "Brood Wars Terran 6 - Town B",
    "Brood Wars Terran 6 - Town C",
    "Brood Wars Terran 6 - Town D",
    "Brood Wars Terran 6 - Town E",
    "Brood Wars Terran 6 - Town F",
    "Brood Wars Terran 7 - Town A",
    "Brood Wars Terran 7 - Town B",
    "Brood Wars Terran 7 - Town C",
    "Brood Wars Terran 7 - Town D",
    "Brood Wars Terran 7 - Town E",
    "Brood Wars Terran 7 - Town F",
    "Brood Wars Terran 8 - Town A",
    "Brood Wars Terran 8 - Town B",
    "Brood Wars Terran 8 - Town C",
    "Brood Wars Terran 8 - Town D",
    "Brood Wars Terran 8 - Town E",
    "Brood Wars Terran 8 - Town F",
    "Brood Wars Zerg 1 - Town A",
    "Brood Wars Zerg 1 - Town B",
    "Brood Wars Zerg 1 - Town C",
    "Brood Wars Zerg 1 - Town D",
    "Brood Wars Zerg 1 - Town E",
    "Brood Wars Zerg 1 - Town F",
    "Brood Wars Zerg 2 - Town A",
    "Brood Wars Zerg 2 - Town B",
    "Brood Wars Zerg 2 - Town C",
    "Brood Wars Zerg 2 - Town D",
    "Brood Wars Zerg 2 - Town E",
    "Brood Wars Zerg 2 - Town F",
    "Brood Wars Zerg 3 - Town A",
    "Brood Wars Zerg 3 - Town B",
    "Brood Wars Zerg 3 - Town C",
    "Brood Wars Zerg 3 - Town D",
    "Brood Wars Zerg 3 - Town E",
    "Brood Wars Zerg 3 - Town F",
    "Brood Wars Zerg 4 - Town A",
    "Brood Wars Zerg 4 - Town B",
    "Brood Wars Zerg 4 - Town C",
    "Brood Wars Zerg 4 - Town D",
    "Brood Wars Zerg 4 - Town E",
    "Brood Wars Zerg 4 - Town F",
    "Brood Wars Zerg 5 - Town A",
    "Brood Wars Zerg 5 - Town B",
    "Brood Wars Zerg 5 - Town C",
    "Brood Wars Zerg 5 - Town D",
    "Brood Wars Zerg 5 - Town E",
    "Brood Wars Zerg 5 - Town F",
    "Brood Wars Zerg 6 - Town A",
    "Brood Wars Zerg 6 - Town B",
    "Brood Wars Zerg 6 - Town C",
    "Brood Wars Zerg 6 - Town D",
    "Brood Wars Zerg 6 - Town E",
    "Brood Wars Zerg 6 - Town F",
    "Brood Wars Zerg 7 - Town A",
    "Brood Wars Zerg 7 - Town B",
    "Brood Wars Zerg 7 - Town C",
    "Brood Wars Zerg 7 - Town D",
    "Brood Wars Zerg 7 - Town E",
    "Brood Wars Zerg 7 - Town F",
    "Brood Wars Zerg 8 - Town A",
    "Brood Wars Zerg 8 - Town B",
    "Brood Wars Zerg 8 - Town C",
    "Brood Wars Zerg 8 - Town D",
    "Brood Wars Zerg 8 - Town E",
    "Brood Wars Zerg 8 - Town F",
    "Brood Wars Zerg 9 - Town A",
    "Brood Wars Zerg 9 - Town B",
    "Brood Wars Zerg 9 - Town C",
    "Brood Wars Zerg 9 - Town D",
    "Brood Wars Zerg 9 - Town E",
    "Brood Wars Zerg 9 - Town F",
    "Brood Wars Zerg 10 - Town A",
    "Brood Wars Zerg 10 - Town B",
    "Brood Wars Zerg 10 - Town C",
    "Brood Wars Zerg 10 - Town D",
    "Brood Wars Zerg 10 - Town E",
    "Brood Wars Zerg 10 - Town F",
    "Expansion Zerg Campaign Easy",
    "Expansion Zerg Campaign Medium",
    "Expansion Zerg Campaign Difficult",
    "Expansion Zerg Campaign Area Town",
    "Expansion Protoss Campaign Easy",
    "Expansion Protoss Campaign Medium",
    "Expansion Protoss Campaign Difficult",
    "Expansion Protoss Campaign Area Town",
    "Expansion Terran Campaign Easy",
    "Expansion Terran Campaign Medium",
    "Expansion Terran Campaign Difficult",
    "Expansion Terran Campaign Area Town",
    "Expansion Terran Campaign Insane",
    "Expansion Protoss Campaign Insane",
    "Expansion Zerg Campaign Insane",
    "Set Generic Command Target",
    "Make These Units Patrol",
    "Enter Transport (AIScript)",
    "Exit Transport",
    "Turn ON Shared Vision for Player 1",
    "Turn ON Shared Vision for Player 2",
    "Turn ON Shared Vision for Player 3",
    "Turn ON Shared Vision for Player 4",
    "Turn ON Shared Vision for Player 5",
    "Turn ON Shared Vision for Player 6",
    "Turn ON Shared Vision for Player 7",
    "Turn ON Shared Vision for Player 8",
    "Turn OFF Shared Vision for Player 1",
    "Turn OFF Shared Vision for Player 2",
    "Turn OFF Shared Vision for Player 3",
    "Turn OFF Shared Vision for Player 4",
    "Turn OFF Shared Vision for Player 5",
    "Turn OFF Shared Vision for Player 6",
    "Turn OFF Shared Vision for Player 7",
    "Turn OFF Shared Vision for Player 8",
    "AI Nuke Here",
    "AI Harass Here",
    "Set Unit Order To: Junk Yard Dog",
    "View Players",
    "Speed Up",
    "Play",
    "Pause",
    "Slow Down",
    "Replay Progress",
    "Paused",
    "Unlimited",
]
